systemd (255.5-1~git20240514223103.fb2f90d.droidian) trixie; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [systemd] Add circleci rules
  * (temporary) Conflict with droidian-quirks-brightness < 79
  * [packaging] Disable tests

  [ Luca Boccassi ]
  * Use mount --move in initramfs-tools udev script
  * Enable portabled and install related files in systemd-container
  * systemd-container: install systemd-dissect binary
  * d/t/control: install squashfs-tools for upstream test
  * Backport patch to fix assert with invalid LoadCredentials=
  * systemd.install: catch all files installed in usr/bin and bin
  * upstream suite: add build-dep on vim-tiny
  * autopkgtest: add dependency on dosfstools for upstream test
  * depend on default-dbus-system-bus | dbus-system-bus
  * autopkgtest: install libdw and libelf for upstream test
  * Build with and suggest fido2 and tpm libraries
  * Disable libcryptsetup-plugins
  * Build-depend on libssl-dev
  * Update d/copyright listing for debian/*
  * d/copyright: remove unused GPL-2 stanza
  * d/watch: bump to version 4
  * d/control: drop redundant Section/Priority fields
  * d/control: extend descriptions of libudev and libsystemd
  * systemd-oomd: add dependency on adduser
  * systemd-oomd: fix description-synopsis-starts-with-article Lintian warning
  * systemd-standalone-*: copy manpages too
  * Lintian: ignore very-long-line-length-in-source-file
  * Lintian: ignore source-contains-data-from-ieee-data-oui-db
  * Lintian: ignore systemd-service-file-missing-install-key
  * Lintian: ignore spare-manual-page
  * Lintian: ignore package-supports-alternative-init-but-no-init.d-script
  * Lintian: ignore package-contains-documentation-outside-usr-share-doc
  * Lintian: ignore current set of package-contains-empty-directory
  * Update Lintian override for systemd-service-file-refers-to-unusual-wantedby-target
  * Lintian: ignore systemd: shared-library-lacks-prerequisites false positive on EFI binary
  * Lintian: ignore maintainer-script-calls-systemctl in more packages
  * Lintian: ignore executable-not-elf-or-script false positives for EFI binaries
  * Lintian: ignore spellcheck false positives
  * Lintian: ignore hardening-no-fortify-functions for test binaries
  * Ignore blhc false positives
  * Add d/gitlab-ci.yml
  * Add myself to Uploaders
  * systemd-tests: ignore hardening-no-relro too
  * Backport patches to fix build reproducibility
  * salsa-ci: enable repro builds
  * ci: enable dbgsym, as sometimes they are not reproducible and we want to catch it
  * Update changelog for 250.3-2 release
  * Build with dh_package_notes
  * New upstream version 250.4
  * Update upstream source from tag 'upstream/250.4'
  * Drop patches merged upstream
  * Remove unneeded ${shlibs:Depends}
  * autopkgtest: add libdw-dev to unit-tests job
  * Update changelog for 250.4-1 release
  * Rebase patches on top of v250.4
  * Update changelog for 250.4-1 release
  * Ignore libsystemd-core in dh_makeshlibs
  * Ignore libsystemd-core in dh_shlibdeps
  * Add libsystemd-core to shlibs.local.in
  * autopkgtest: update unit-config test for new relative symlinking
  * autopkgtest: install libnss packages for unit-tests suite
  * autopkgtest: install libnss packages for upstream suite
  * autopkgtest: install python3-pexpect and screen for upstream suite
  * autopkgtest: install swtpm and tpm2-tools for upstream suite
  * New upstream version 251~rc3
  * autopkgtest: add allow-stderr to boot-and-services
  * autopkgtest: disable networkd in rebooting tests
  * autopkgtest: mark networkd-test.py as breaks-testbed
  * autopkgtest: ignore rng-tools-debian failure in boot-and-services
  * New upstream version 251~rc3
  * Drop sd-device-always-translate-sysname-to-sysfs-filename.patch, merged upstream
  * Rebase patches
  * Update lintian-overrides for false positives
  * Update changelog for 251~rc3-1 release
  * Backport removal of ndisc test case, breaks build on armhf/armel
  * Update changelog for 251~rc3-2 release
  * New upstream version 251
  * Update upstream source from tag 'upstream/251'
  * Refresh patches
  * Revert manual removal of ndisc test case, merged upstream
  * Bump Standards-Version to 4.6.1, no changes
  * Update changelog for 251-1 release
  * Salsa CI: suppress lintian false positive on dbgsym
  * Update changelog for 251-2 release
  * Switch from gnutls to openssl
  * New upstream version 251.1
  * Update upstream source from tag 'upstream/251.1'
  * Add systemd-journal-remote.NEWS to inform about dropping --trust
  * Update changelog for 251.1-1 release
  * autopkgtest: add cryptsetup-initramfs for upstream suite
  * Add systemd-userdbd package
  * Add systemd-homed package
  * Add systemd-boot-efi multiarch package
  * d/systemd.NEWS: fix typo
  * Update changelog for 251.2-3 release
  * Remove unused Lintian overrides
  * Stop overriding the build directory name
  * Use execute_before_/after_ instead of override_
  * Add nodoc profile support
  * sd-boot: add kernel hooks scripts
  * libnss-systemd: also let userdbd manage passwords
  * homed: make PAM rules higher priority than unix users
  * Split systemd-resolved into its own package which takes over /etc/resolv.conf
  * Update changelog for 251.3-2~exp1 release
  * Note in systemd.NEWS that resolved has moved to a new package
  * systemd-resolved: move conffile from systemd
  * Update changelog for 251.3-2~exp2 release
  * resolved: use DPKG_ROOT and make postinst shellcheck-happy
  * resolved: switch from .links to postinst/rm
  * Update Lintian overrides for new incompatible syntax
  * Update changelog for 251.4-2 release
  * resolv.conf: take backup as a fallback
  * Update changelog for 251.4-3 release
  * Enable firstboot, disabled by default on Debian
  * Build and install libcryptsetup token plugins
  * d/watch: switch to non-stable repo
  * gbp.conf: switch to d/experimental
  * New upstream version 252~rc2
  * Update upstream source from tag 'upstream/252_rc2'
  * Drop patches merged upstream
  * Refresh patches
  * Update symbols file
  * autopkgtest: update expected output of localectl
  * Update Lintian overrides
  * Update changelog for 252~rc2-1 release
  * New upstream version 252~rc3
  * Update upstream source from tag 'upstream/252_rc3'
  * Refresh patches
  * Backport patches to fix tests without machine-id
  * Update changelog for 252~rc3-1 release
  * Revert "gbp.conf: switch to d/experimental"
  * Update changelog for 252~rc3-2 release
  * Use systemd-sysusers to setup systemd users and groups
  * Revert "d/control: set minimum version for dh-package-notes"
  * New upstream version 252
  * Update upstream source from tag 'upstream/252'
  * Drop patches merged upstream
  * libsystemd0: set symbols version to 252
  * Drop unused lintian override
  * Update changelog for 252-1 release
  * Update changelog for 252-2 release
  * Backport patches to fix tmpfiles error and missing /dev/serial/by-id/usb-*
  * Drop :native suffix from python3-pyparsing build dependency
  * Enable support for libqrencode
  * Update changelog for 252-3 release
  * d/watch: switch back to stable repository
  * New upstream version 252.1
  * Update upstream source from tag 'upstream/252.1'
  * Drop patches merged upstream
  * Refresh patches
  * Suggest polkitd instead of policykit-1 (deprecated)
  * Update changelog for 252.1-1 release
  * Build depend on dh-package-notes, sequence was removed
  * New upstream version 252.2
  * Update upstream source from tag 'upstream/252.2'
  * Refresh patches
  * Update changelog for 252.2-1 release
  * Enable p11kit
  * New upstream version 252.4
  * Update upstream source from tag 'upstream/252.4'
  * Refresh patches
  * Bump Standards-Version to 4.6.2, no changes
  * Update changelog for 252.4-1 release
  * autopkgtest: add netlabel-tools to networkd-test.py suite
  * autopkgtest: add bsdutils to upstream suite
  * autopkgtest: add knot, knot-dnsutils, bind9-dnsutils, bind9-host to upstream suite
  * autopkgtest: add jq to upstream suite
  * autopkgtest: add mtools to upstream suite
  * autopkgtest: add erofs-utils to upstream suite
  * New upstream version 252.5
  * Update upstream source from tag 'upstream/252.5'
  * Drop patches merged in v252.5
  * Refresh patches
  * Set default status format to 'combined'
  * Update changelog for 252.5-1 release
  * New upstream version 253~rc1
  * Fix boot-and-services autopkgtest
  * Update changelog for 252.5-2 release
  * Update upstream source from tag 'upstream/253_rc1'
  * gbp.conf: set upstream-branch to upstream/252.x
  * systemd: make /etc/default/locale a symlink to /etc/locale.conf
  * Update timedated autopkgtest
  * Drop patches merged upstream
  * Drop Don-t-enable-audit-by-default.patch
  * Drop Use-Debian-specific-config-files.patch, no longer needed
  * systemd-boot-system-token was renamed to systemd-boot-random-seed
  * Add new libsystemd symbols
  * Update Lintian override for new so bump
  * Remove systemd-localed drop-in, no longer needed
  * Drop udev-drop-SystemCallArchitectures-native-from-systemd-ude.patch and use a drop-in
  * Drop Re-enable-journal-forwarding-to-syslog.patch and use a drop-in
  * Drop TuxOnIce out-of-tree patch
  * Drop autopkgtest denylist patches
  * Drop Revert-core-set-RLIMIT_CORE-to-unlimited-by-default.patch, we now use the unified hierarchy
  * Drop Let-graphical-session-pre.target-be-manually-started.patch, not used anymore
  * Refresh patches
  * gbp.conf: set debian-branch to debian/experimental
  * Do not install repart/shutdown standalone binaries
  * Build with libxen-dev
  * Do not install ukify script for now
  * New upstream version 253~rc2
  * locale: disable keymap support
  * d/watch: use main repository
  * Update upstream source from tag 'upstream/253_rc2'
  * Refresh patches
  * Update NEWS file
  * Update changelog for 253~rc2-1 release
  * Update timedated autopkgtest
  * Stop supporting /etc/timezone
  * New upstream version 253~rc3
  * Update upstream source from tag 'upstream/253_rc3'
  * Refresh patches
  * Update changelog for 253~rc3-1 release
  * systemd-boot: update on package upgrade, if installed
  * New upstream version 253
  * Update upstream source from tag 'upstream/253'
  * d/watch: switch back to stable repository
  * Update symbols file
  * Update changelog for 253-1 release
  * Override Lintian warning in systemd-coredump
  * d/watch: restrict to v252.x for bookworm
  * New upstream version 252.6
  * Update upstream source from tag 'upstream/252.6'
  * Refresh patches
  * Update changelog for 252.6-1 release
  * systemd-boot: enable on install
  * systemd-boot: hide bootctl output in postinst checks
  * Update changelog for 252.6-1 release
  * New upstream version 252.7
  * Update upstream source from tag 'upstream/252.7'
  * Refresh patches
  * Update changelog for 252.7-1 release
  * New upstream version 252.11
  * Update upstream source from tag 'upstream/252.11'
  * Refresh patches
  * Update changelog for 252.11-1 release
  * Add systemd-dev package for pkg-config files
  * Update changelog for 253-2 release
  * systemd-dev: add missing breaks/replaces with udev
  * Merge branch 'debian/experimental' into debian/master
  * Update changelog for 253-3 release
  * Stop localed from writing to /etc/default/keyboard and symlink it to /etc/vconsole.conf
  * Update changelog for 253-4 release
  * New upstream version 253.5
  * Update upstream source from tag 'upstream/253.5'
  * Refresh patches for 253.5
  * Update changelog for 253.5-1 release
  * d/watch: watch main repository
  * gbp: set branch to d/experimental
  * New upstream version 254~rc1
  * Update upstream source from tag 'upstream/254_rc1'
  * Refresh patches for v254-rc1
  * Drop build dependency on gnu-efi and add python3-pyelftools
  * Install new libsystemd.3 manpage
  * Install new mount.ddi alias for sd-dissect
  * Update symbols file for 254
  * Update Lintian overrides for systemd-tests
  * autopkgtest: find test-udev in new location
  * Update changelog for 254~rc1-1 release
  * Backport patch to fix fuzz test without cgroup access
  * Update changelog for 254~rc1-2 release
  * Restrict pyelftools to UEFI-enabled architectures and drop explicit meson settings
  * Update changelog for 254~rc1-3 release
  * Backport patches to fix FTBFS on mipsel, ia64, x32
  * d/rules: explicitly disable EFI on x32
  * Update changelog for 254~rc1-4 release
  * Bump dependency on Meson to 0.60
  * upstream-ci: install libdw and libelf for boot-and-services too
  * upstream-ci: add libssl-dev to autopkgtest upstream suite
  * upstream-ci: add nftables
  * upstream-ci: add 'stress' to the upstream testsuite dependency list
  * tests/upstream: install curl
  * tests/upstream: bump timeout by 10 minutes
  * New upstream version 254~rc2
  * Update upstream source from tag 'upstream/254_rc2'
  * Drop patches merged upstream
  * Refresh patches for v254-rc2
  * Update changelog for 254~rc2-1 release
  * Backport two more mips64 fixes from upstream
  * Update changelog for 254~rc2-2 release
  * gbp.conf: switch back to d/master
  * Update changelog for 254~rc2-3 release
  * Drop Suggests on transitional policykit-1 package
  * Drop autopkgtest dependency on transitional policykit-1 package
  * Ship ukify in systemd package
  * New upstream version 254~rc3
  * Update upstream source from tag 'upstream/254_rc3'
  * Drop patches merged upstream
  * Refresh patches
  * Update changelog for 254~rc3-1 release
  * ukify: enable only on UEFI architectures
  * Update changelog for 254~rc3-2 release
  * Backport patch to fix FTBFS on armhf
  * Add workaround for Meson regression to fix FTBFS on mips64el
  * Update changelog for 254~rc3-3 release
  * New upstream version 254
  * Update upstream source from tag 'upstream/254'
  * Drop patches merged upstream
  * d/watch: switch back to stable repository
  * Refresh patches
  * Update changelog for 254-1 release
  * systemd-userdbd: depend on libnss-systemd
  * New upstream version 254.1
  * Update upstream source from tag 'upstream/254.1'
  * Refresh patches for v254.1
  * Update changelog for 254.1-1 release
  * systemd: do not ship empty .wants/ directories
  * Update changelog for 254.1-1 release
  * Build-depend on tzdata-legacy | tzdata
  * Update changelog for 254.1-2 release
  * Backport patch to fix test-path failure on Salsa CI
  * Salsa: re-enable build time tests
  * Salsa: disable reprotest
  * autopkgtest: add workaround for lxc+apparmor regression
  * New upstream version 254.2
  * Update upstream source from tag 'upstream/254.2'
  * Refresh patches for 254.2
  * Update changelog for 254.2-1 release
  * New upstream version 254.3
  * Update upstream source from tag 'upstream/254.3'
  * Update changelog for 254.3-1 release
  * Revert "autopkgtest: add workaround for lxc+apparmor regression"
  * Update changelog for 254.3-1 release
  * upstream-ci: run unit tests from installed location
  * New upstream version 254.4
  * Update upstream source from tag 'upstream/254.4'
  * Refresh patches
  * Open changelog for 254.4-1 release
  * Install factory-reset related units
  * Update changelog for 254.4-1 release
  * New upstream version 254.5
  * Update upstream source from tag 'upstream/254.5'
  * Refresh patches for 254.5
  * Update changelog for 254.5-1 release
  * gbp.conf: set branch to debian/experimental
  * New upstream version 255~rc1
  * Update upstream source from tag 'upstream/255_rc1'
  * Drop test-skip-test-path-on-Salsa-CI.patch, merged upstream
  * Drop Move-sysusers.d-sysctl.d-binfmt.d-modules-load.d-back-to-.patch, no longer necessary
  * Refresh patches
  * Temporarily keep systemd.pc and udev.pc poin to legacy unmerged paths
  * systemd/udev: assert that the system is merged-usr
  * Drop deprecated split-usr and install files from /usr
  * Install new pam_systemd_loadkey module
  * Install the default pcrlock config files
  * Update libsystemd0.symbols
  * autopkgtest: add dependencies on python3-pefile and nvme-cli for upstream suite
  * Backport patch to fix arm64 cross-build
  * Update Lintian overrides
  * Update changelog for 255~rc1-1 release
  * Build-depend on python3-pefile on all architectures
  * meson: use enabled/disabled instead of true/false for 'feature' options
  * meson: use canonical paths for configured tools too
  * Fix typo in d/changelog
  * Update changelog for 255~rc1-2 release
  * Do not ship repart.standalone and shutdown.standalone
  * /usr/lib/sysvinit/telinit was dropped long ago, use /usr/sbin/telinit
  * Add Suggests: libip4tc2 as it is now dlopen'ed
  * Drop rc/rcS masking, no longer necessary
  * Add Conflicts to avoid issues due to DEP17P3
  * Update changelog for 255~rc1-3 release
  * Add version to Conflict with molly-guard
  * Move systemd-hwdb-update.service to udev package
  * Update changelog for 255~rc1-4 release
  * New upstream version 255~rc2
  * Update upstream source from tag 'upstream/255_rc2'
  * Drop fix-build-without-SBAT_DISTRO.patch, merged upstream
  * gbp.conf: move back to debian/master
  * Refresh patches
  * Update changelog for 255~rc2-1 release
  * Bump conflict with molly-guard to 0.8.2
  * Backport patches to fix FTBFS on hppa and x32
  * Update changelog for 255~rc2-3 release
  * d/systemd.install: mark pcrlock.d as !stage1
  * New upstream version 255~rc3
  * Update upstream source from tag 'upstream/255_rc3'
  * Drop patches merged upstream
  * Refresh patches
  * systemd: reexec user manager sessions on upgrade
  * autopkgtest: install dhcpcd-base for boot-and-services
  * Update changelog for 255~rc3-1 release
  * systemd: ignore _systemctl kill failures in postinst
  * Update changelog for 255~rc3-2 release
  * d/rules: remove duplicated line
  * systemd.pc: point unit install directory to /usr/lib/systemd/system/
  * Update changelog for 255~rc3-3 release
  * New upstream version 255~rc4
  * Update upstream source from tag 'upstream/255_rc4'
  * Update changelog for 255~rc4-1 release
  * Backport patches to fix seccomp issues on armhf/armel/ppc64el
  * Update changelog for 255~rc4-2 release
  * New upstream version 255
  * Update upstream source from tag 'upstream/255'
  * Drop seccomp patches, merged upstream
  * Update changelog for 255-1 release
  * Drop pkgconfig-keep-unmerged-paths-for-udevdir.patch, no longer needed
  * New upstream version 255.1
  * Update upstream source from tag 'upstream/255.1'
  * Refresh patches
  * New upstream version 255.2
  * Update upstream source from tag 'upstream/255.2'
  * Drop resolved-actually-check-authenticated-flag-of-SOA-transac.patch, merged upstream
  * Update changelog for 255.2-1 release
  * udev: mips does not install dmi_memory_id and its rules
  * Update changelog for 255.2-2 release
  * New upstream version 255.3
  * Update upstream source from tag 'upstream/255.3'
  * Drop patches merged upstream
  * Refresh patches
  * Update changelog for 255.3-1 release
  * Backport patches to fix reproducibility issues
  * Salsa: re-enable reprotest
  * Update changelog for 255.3-2 release
  * Drop override for deprecated package-supports-alternative-init-but-no-init.d-script warning
  * Build-depend on pkgconf
  * Move kernel-install initrd script to slightly later prefix
  * Mark python3-pefile build dependency as native
  * Skip python3-pefile build dependency only if both nocheck and noinsttests are set
  * Build with -Dtests=false if nocheck and noinsttest profiles are set
  * systemd-binfmt: use restart instead of try-restart on upgrade
  * d/e/checkout-upstream: do not rebase when building on systemd-stable repo
  * d/e/checkout-upstream: build with default-timeout-sec=180
  * d/e/checkout-upstream: enable log-trace by default
  * d/e/checkout-upstream: do not install userdbd sshd config drop-in
  * d/t/upstream: add dependencies on openssh, gnutls-bin, opensc and softhsm2
  * d/t/upstream: fix shellcheck warning
  * Add dependency on libkmod2 on udev, and suggestion on systemd
  * Update tzdata build dependency constraint to 2024a-1
  * fsckd: mark as not needed for pkg.systemd.upstream profile
  * Drop libarchive-dev build dependency
  * upstream-ci: install ssh-generator files
  * upstream-ci: install new link files for generated interfaces
  * upstream-ci: install uid0 files
  * upstream-ci: install homed fallback shell
  * upstream-ci: install systemd-vpick
  * upstream-ci: install homed-firstboot unit
  * upstream-ci: install tpm2 generator
  * upstream-ci: install MIME io.systemd file
  * upstream-ci: install udev.conf.d manpage
  * upstream-ci: install new varlink services
  * New upstream version 255.4
  * Update upstream source from tag 'upstream/255.4'
  * Drop patches merged upstream
  * Update changelog for 255.4-1 release
  * autopkgtest: add dhcpcd5 as alternative dependency to dhcpcd-base
  * userdbd: install ssh integration config snippets
  * d/e/checkout-upstream: stop overriding sshconfdir
  * autopkgtest: install systemd-resolved for all suites
  * autopkgtest: add breaks-testbed to more tests
  * autopkgtest: restrict systemd-boot-efi to architectures where it's built
  * Install new importctl binary
  * d/rules: install pkla files when building for old upstream CI jobs
  * d/rules: fix check for upstream profile for pkla installation
  * Install new templated/root quotacheck/quotaon units
  * Use wildcard for quotacheck/quotaon units
  * Enable libpwquality support
  * Install systemd-measure.1 on all architectures
  * Install networkd units with wildcard
  * Rename uid0 to run0
  * Add build dependency on libarchive-dev
  * d/e/checkout-upstream: do not initialize submodules
  * Install new capsule units/manpages
  * Install ssh-access target
  * libsystemd0: recommend libgcrypt20
  * autopkgtest: install libgcrypt20-dev for unit-tests and upstream suites
  * Autopkgtest: add dependency on libkmod-dev to upstream suite
  * Switch build-depend form liblz4-tool to lz4
  * Install new hibernate-clear unit
  * initramfs hooks: pull in libkmod manually
  * Install mountfds and nsresourced files
  * Enable BPF support
  * d/rules: vmlinux.h is only available from Trixie
  * Install new systemd-udev-load-credentials.service
  * Install new networkd config file for sd-nsresourced
  * New upstream version 255.5
  * Update upstream source from tag 'upstream/255.5'
  * Drop resolve-skip-IP_UNICAST_IF-for-local-sockets.patch, merged upstream
  * Refresh patches for v255.5
  * Bump Standards-Version to 4.7.0, no changes
  * Update changelog for 255.5-1 release
  * localectl-disable-keymap-support

  [ Michael Biebl ]
  * Import patches
  * No longer necessary with gbp
  * Do not send potentially private fstab information without prior user confirmation
  * Switch from gitpkg to git-buildpackage. Update README.source accordingly.
  * Do proper refcounting of the PAM module package on prerm
  * Add support for LSB facilities defined by insserv
  * Do not accidentally re-enable /var/tmp cleaning
  * Also drop misleading comment when fixing up tmp.conf
  * Make systemd-dbg depend on udev and libudev1
  * Re-export patch
  * Release version 204-9 to unstable
  * Release version 204-10 to unstable
  * Switch debian-branch to experimental
  * Imported Upstream version 208
  * Merge tag 'upstream/208' into experimental
  * New upstream release
  * Update patches
  * Update symbols files for libsystemd-journal and libsystemd-login.
  * Install new files and remove the ones we don't use
  * Add bug reference for the new upstream release
  * Create a compat symlink /etc/sysctl.d/99-sysctl.conf
  * Update default paths for kmod and kexec
  * Bump Build-Depends on kmod to (>= 14).
  * Make kmod-static-nodes.service check for the kmod binary
  * Bump Build-Depends on libcryptsetup-dev to (>= 2:1.6.0) for tcrypt support
  * Disable various features which aren't required for the udeb build
  * Move new sd_pid_get_slice and sd_session_get_vt man pages into libsystemd-login-dev
  * Use the correct file when masking urandom.service
  * Make no-patch-numbers the default for gbp-pq
  * Adjust systemd-user pam config file for Debian
  * Merge branch 'master' into experimental
  * Drop patches to make logind D-Bus activatable
  * Drop systemd-logind-launch script
  * Release version 208-1 to experimental
  * Make no-patch-numbers the default for gbp-pq
  * Minor formatting fixes for README.source
  * Refresh patches
  * Cherry-pick upstream fix to properly handle multiline syslog messages
  * Cherry-pick upstream fix for libudev which fixes a memleak in parent_add_child()
  * Drop "-b debian" from Vcs-Git since we use the master branch for packaging now.
  * Drop Conflicts: sysvinit (<< 2.88dsf-44~) from systemd-sysv
  * Drop Conflicts: runit-run from sysvinit-core
  * Use Conflicts instead of Breaks against sysvinit-core
  * Make the SysV compat tools try both /run/initctl and /dev/initctl
  * Set telinit path to /lib/sysvinit/telinit
  * Various ifupdown integration fixes
  * Fix typo in insserv-generator
  * Release version 204-11 to unstable
  * Merge branch 'master' into experimental
  * Refresh patches
  * Update changelog
  * Cherry-pick upstream fixes to make sd_session_get_vt() actually work.
  * Release version 208-2 to experimental
  * Update udev bug-script to attach instead of paste extra info if a new enough reportbug version is available.
  * Release version 204-12 to unstable
  * Merge branch 'master' into experimental
  * Update changelog for unstable merge
  * Release version 208-3 to experimental
  * Drop Always-probe-cpu-support-drivers.patch
  * Switch back to load the sg module via the kmod builtin
  * core/transaction: fix cycle break attempts outside transaction
  * insserv-generator: ignore non-existing SysV init scripts
  * Fix boot failures if CONFIG_UEVENT_HELPER is disabled
  * Release version 204-13 to unstable
  * Merge branch 'master' into experimental
  * Update changelog
  * Drop alternative dependency on systemd-shim in libpam-systemd
  * Release version 208-4 to experimental
  * Fix SIGABRT in insserv generator caused by incorrect usage of strcat()
  * Mark -dev packages as Multi-Arch: same
  * journald: remove unused variable
  * Release version 204-14 to unstable
  * Merge branch 'master' into experimental
  * Update changelog
  * Release version 208-5 to experimental
  * Upload to unstable.
  * Release version 208-6 to unstable
  * Remove systemd-hack-up-the-source.hook script
  * Remove udev.vim syntax file
  * Remove duplicate PATH
  * Mask remaining services provided by the initscripts package
  * Install zsh completions to the correct place
  * Fix removal of _kernel-install zsh completion file
  * Drop copy rule for vio_type from initramfs-tools hook
  * Don't rely on /dev/stdout when creating static device nodes under sysvinit
  * Don't write to /sys/kernel/uevent_helper unconditionally
  * Add Breaks: kmod (<< 14) to udev
  * Add Breaks: systemd (<< 208) to udev to avoid partial upgrades
  * Updated upstream v208-stable patch series to 53b1b6c
  * Cherry-pick upstream fix to ignore temporary dpkg files
  * Mark upstream cherry-picks as such
  * Make emergency.service conflict with rescue.service
  * Stop syslog.socket when entering emergency mode
  * Release version 208-8 to unstable
  * Drop our Debian-specific run-user.mount unit
  * Fix typo in changelog
  * Source lsb init-functions in udev-finish SysV init script
  * Drop patches which have been merged upstream
  * Apply patch which was forgotten when merging changes from master
  * Revert "Add systemd depends on new mount."
  * Imported Upstream version 215
  * Merge tag 'upstream/215' into experimental
  * New upstream release v215
  * Import upstream v215-stable patch series
  * Cherry-pick upstream fix to use correct versions for the new symbols that were introduced in libudev.
  * Update symbols files
  * Cherry-pick upstream commit to not install busname units if kdbus support is disabled
  * Make /run/lock tmpfs an API fs so it is available during early boot
  * Install new systemd-path and systemd-escape binaries.
  * Trim down udeb build further
  * Cherry-pick upstream commit which fixes the references to the systemctl man page
  * Properly escape network interface names in net.agent
  * Order ifup@.service after networking.service
  * Disable factory-reset feature and remove files associated with it
  * Fix ProtectSystem= to properly work with split /usr
  * Small comment tweaks and indentation fixes
  * Use adduser in quiet mode
  * Add systemd-bus-proxy system user so systemd-bus-proxyd can properly drop its privileges
  * Fix deletion of factory-reset files
  * Improve extended package description for compat library packages
  * Add missing sd-daemon.h include for sd_booted()
  * Update code for recent copy_file() API changes
  * Re-exec systemd and restart services at the end of postinst
  * Cherry-pick upstream commit for sd-journal to properly convert object->size on big endian
  * Release version 215-1 to experimental
  * Update upstream v215-stable patch series
  * Merge branch 'master' into experimental
  * Fix up /dev/log and /dev/initctl symlinks on upgrades
  * Fix incorrect paths in man pages
  * Make systemd recommend dbus
  * Bump dependency on systemd-shim to (>= 7-2)
  * Be more conservative and upfront when attaching data to the bug report
  * changelog tweak
  * Upload to unstable.
  * Release version 215-4 to unstable
  * Don't overmount existing /run/user/<UID> directories with a per-user tmpfs on upgrades
  * Re-enable mount propagation for udevd
  * Release version 215-5 to unstable
  * systemd.postinst: Move unit enablement after restarting systemd
  * Make sure we run debian-fixup.service after /var has been mounted
  * Remove leftover bits from sd-readahead
  * Ship bash-completion for udevadm
  * Drop rc-local generator
  * Drop the obsolete libsystemd-* libraries
  * Make sure we run debian-fixup.service after /var has been mounted
  * Update Vcs-Browser URL to use cgit and https.
  * Map $x-display-manager LSB facility to display-manager.service
  * gbp-pq export noise
  * Update insserv-generator and map $x-display-manager to display-manager.service
  * Correctly hook up rc-local.service in multi-user.target.wants
  * Explicitly disable the features we don't want to build for those with autodetection
  * Disable AppArmor support in the udeb build
  * core: Don't fail to run services in --user instances if $HOME is missing
  * Small changelog tweaks
  * Release version 218-9 to experimental
  * Small changelog tweaks
  * core: Don't fail to run services in --user instances if $HOME is missing
  * Sync changes with experimental regarding the logind patch
  * Stop removing firstboot man pages
  * Use /sbin/sulogin as default path
  * Fix (more) paths in man pages
  * Add Debian bug reference for the journald issue
  * debian/udev.init: Recognize '!' flag with static device lists
  * debian/udev.init: Recognize '!' flag with static device lists
  * Map $x-display-manager LSB facility to display-manager.service
  * Update insserv-generator and map $x-display-manager to display-manager.service
  * journald: Increase the SendBuffer of /dev/log to 8M
  * Make the journald to syslog forwarding more robust
  * Make the journald to syslog forwarding more robust
  * Release version 215-14 to unstable
  * Do not print anything while passwords are being queried
  * Skip filesystem check if already done by the initramfs
  * Release version 215-16 to unstable
  * Skip filesystem check if already done by the initramfs
  * Drop hard-coded versioned dependency on libapparmor1
  * Revert "Make apparmor run before networking"
  * manager: Pass correct errno to strerror()
  * Revert "manager: Pass correct errno to strerror()"
  * manager: Pass correct errno to strerror()
  * Cleanup hwclock-save.service symlinks when upgrading from the jessie version
  * Don't fail in postrm during cleanup if directories don't exist
  * Remove /var/run and /var/lock migration code from debian-fixup
  * Drop our versioned Depends on initscripts
  * Put back Before=sysinit.target ordering in debian-fixup.service
  * Stop building gudev packages
  * Cleanup up some leftover bits after the gudev removal
  * Wrap Uploaders for better readability
  * Make sure we have the proper sulogin implementation from util-linux
  * Stop using /sbin/udevd and drop the compat symlink
  * Remove any vestiges of /dev/.udev/
  * Drop udev migration code from pre-wheezy
  * Enable seccomp support on arm64 as well
  * Replace the remainder of Fix-paths-in-man-pages.patch with an upstream provided patch
  * Whitespace police
  * Fix typo: persistant → persistent, thanks lintian
  * initramfs hooks: Stop installing rules files for mdadm, lvm2 and dmsetup
  * Make it possible to skip building udeb packages via DEB_BUILD_OPTIONS="noudeb"
  * Martin is persistent in his usage of "persistant"
  * Install API documentation for libudev and libsystemd in their respective packages
  * Stop building the Python 3 bindings
  * Remove obsolete --disable-chkconfig configure option
  * Move a few files into their correct packages
  * Drop rules which remove pre-generated files before build
  * Fix cleanup rule for Python byte code files
  * Release version 222-1 to unstable
  * Bump priority of systemd and systemd-sysv to important
  * Drop scsi_wait_scan hack from the udev initramfs-tools script
  * Drop libsystemd-journald-dev and libsystemd-id128-dev
  * Release version 222-2 to unstable
  * udev: Remove obsolete rm_conffile/mv_conffile functions from udev.preinst
  * systemd: Remove obsolete conffile clean up from pre-wheezy
  * Drop useless trailing "exit 0" from scripts which use "set -e"
  * udev-udeb: Remove scsi_wait_scan hack from the start-udev script as well
  * Mark python build tools with :native to ease cross-building
  * Mark check build dependencies with nocheck profile
  * Turn noudeb build option into build profile
  * Extend stage1 profile to apparmor and annotate build depends
  * Add changelog for the last 4 commits
  * Add whitespace to separate profile options
  * Drop default-display-manager-generator
  * Drop obsolete --disable-python-devel configure flag
  * Fix apparmor configure flag to use the correct name
  * Revert "Add whitespace to separate profile options"
  * Move systemd-machined.service into new systemd-container package as well
  * Small typo fixes
  * Add new binary package "systemd-journal-remote"
  * Add Debian bug ref for #792551 and #788269
  * Drop unnecessary Conflicts/Replaces from systemd-journal-remote
  * Add necessary system groups for systemd-journal-remote
  * Explicitly turn off the features we don't want in a stage1 build
  * Enable GnuTLS support as systemd-journal-remote makes sense mostly with encryption enabled
  * Small package description tweak
  * Strip trailing ',' for consistencies sake
  * Rely on build profiles to determine which packages should be skipped during build
  * Drop our patch which removes rc-local-generator
  * Release version 225-1 to unstable
  * Drop the actual udev-finish helper script as well
  * Drop libsystemd-login-dev
  * Update build instructions to use "gbp clone" instead of "gbp-clone"
  * debian/systemd-journal-remote.postrm: Fix bashism when testing for deluser
  * insserv-generator: Use correct type for variable 'e'
  * Bump version to 226-1 for rm_conffile since 225-2 was never released
  * Explicitly call "update-rc.d udev-finish remove"
  * Stop building the compat library packages and drop them for good
  * Update debian/copyright
  * Release version 226-3 to unstable
  * Drop dependency on udev from the systemd package
  * Stop-syslog.socket-when-entering-emergency-mode.patch: Mark as forwarded
  * Include the state of the udev package when filing a bug against systemd, and vice versa
  * Clarify in the changelog that udev is still installed by default
  * Changelog tweak
  * Use filter instead of findstring
  * systemd.bug-script: Fix typo
  * Re-add bits which call SELinux in systemd-user pam service
  * Fix StartLimitBurst in systemd-networkd-resolvconf-update.service
  * Drop systemd-setup-dgram-qlen.service
  * Remove unused tempdir() from udev.postinst
  * Properly stop udev on remove
  * Stop masking the udev service during upgrades
  * Update changelog for the previous three commits
  * Bump Build-Depends on libdw-dev to (>= 0.158) as per configure.ac
  * Add Debian bug ref for #805631 (libdw-dev bump)
  * Make sure all swap units are ordered before the swap target
  * Re-add comments in debian/patches/series
  * Drop unneeded /etc/X11/xinit/xinitrc.d/50-systemd-user.sh
  * Mask /etc/init.d/rc and /etc/init.d/rcS from initscripts
  * Stop testing for unknown arguments in udev maintainer scripts
  * Drop networking.service.d/systemd.conf
  * Drop support for the /etc/udev/disabled flag file
  * Retrigger cleanup routines which have been missed due to a bug in dpkg
  * Only ship *.link files as part of the udev package
  * Use Breaks instead of Conflicts
  * Wrap dependencies
  * Cherry-pick a few fixes from upstream
  * Fix a typo in logind-dbus.c
  * Don't log an EIO error in gpt-auto-generator if blkid finds something which is not a partition table
  * Only skip the filesystem check for /usr if the /run/initramfs/fsck-usr flag file exists
  * Apply ACLs to /var/log/journal and also set them explicitly for system.journal
  * Update the instructions in README.Debian for creating /var/log/journal
  * Small typo fix in README.Debian
  * Drop "systemctl daemon-reload" from lsb init-functions hook
  * Add Debian bug ref
  * Drop duplicate + from Adjust-systemd-user-pam-config-file-for-Debian.patch
  * Drop obsolete --disable-bootchart configure switch from udeb build
  * Remove obsolete /etc/systemd/bootchart.conf conffile on upgrades
  * Drop --disable-silent-rules from debian/rules
  * Use systemctl's new --value switch
  * Add "systemctl daemon-reload" to lsb init-functions hook if the LoadState of a service is "not-found"
  * automount: handle expire_tokens when the mount unit changes its state
  * debian/systemd.preinst: Correctly determine whether a service is enabled
  * Bump Build-Depends on debhelper to (>= 9.20160114)
  * Install test-udev binary into $libdir/udev/ not $libdir
  * Exclude libsystemd-shared from dh_makeshlibs
  * Release version 230-6 to unstable
  * debian/tests/udev: Update test-udev location
  * Tell dh_shlibdeps to look in the systemd package for libraries
  * Add Build-Depends-Package to libudev1.symbols and libsystemd0.symbols
  * Release version 230-7 to unstable
  * Fix typos in fsckd patch
  * Restrict Conflicts: openrc to << 0.20.4-2.1
  * Add Depends: dbus to systemd-container
  * debian/udev.NEWS: Reformat old entry
  * Drop insserv.conf generator
  * getty-static.service: Only start if we have a working VC subsystem
  * nspawn: Decrease mkdir error logging in /sys to debug priority
  * Stop mentioning snapshot and restore in the package description
  * Drop sigpwr-container-shutdown.service
  * Enable iptables support
  * Revert "logind: really handle *KeyIgnoreInhibited options in logind.conf"
  * Wrap overlong changelog entries
  * fsckd: Do not exit on idle timeout if there are still clients connected
  * Strip leading / for consistencies sake
  * Stop creating systemd-update-utmp-runlevel.service symlinks manually
  * Remove libnss-systemd man pages as well
  * Install new journal-upload.conf man pages in systemd-journal-remote
  * Remove executable bit from systemd-user pam config file
  * Fix spelling error in README.Debian
  * Drop RestrictAddressFamilies from service files
  * Update changelog
  * Release version 232-2 to unstable
  * fstab-generator: add x-systemd.mount-timeout option
  * build-sys: do not install ctrl-alt-del.target symlink twice
  * Enable lz4 support
  * Update debian/changelog
  * Release version 232-4 to unstable
  * Wrap overlong debian/changelog entries
  * Mark liblz4-tool build dependency as <!nocheck>
  * Try mount -n -o move first
  * Add missing trailing slash to configure argument
  * doc: Clarify NoNewPrivileges in systemd.exec(5)
  * core: Rework logic to determine when we decide to add automatic deps for mounts
  * rules: Add persistent links for nbd devices
  * Update changelog
  * Release version 232-8 to unstable
  * Use --disable-wheel-group configure switch
  * Remove no longer needed fallback
  * Update debian/copyright
  * Drop fallback for older reportbug versions when attaching files
  * debian/extra/init-functions.d/40-systemd: Stop checking for init env var
  * debian/extra/init-functions.d/40-systemd: Stop setting _SYSTEMCTL_SKIP_REDIRECT=true
  * debian/extra/init-functions.d/40-systemd: Rename _SYSTEMCTL_SKIP_REDIRECT
  * Various specifier resolution fixes
  * Update debian/changelog
  * Release version 232-9 to unstable
  * Add NULL sentinel to strjoin
  * Update changelog
  * Release version 232-10 to unstable
  * tree-wide: drop NULL sentinel from strjoin
  * gpt-auto-generator: support LUKS encrypted root partitions
  * Switch to bfd linker on mips*
  * Revert "core: turn on specifier expansion for more unit file settings"
  * Drop obsolete Conflicts, Breaks and Replaces
  * Require systemd-shim version which supports v232
  * Release version 232-11 to unstable
  * Fix build if seccomp support is disabled
  * Enable seccomp support on ppc64
  * Release version 232-12 to unstable
  * Re-add versioned Conflicts/Replaces against upstart
  * Update Vcs-* according to the latest recommendation
  * Update Homepage and the URLs in debian/copyright to use https
  * Release version 232-13 to unstable
  * Deal with NULL pointers more gracefully in unit_free()
  * Fix issues in journald during startup
  * Release version 232-14 to unstable
  * Add missing Build-Depends on tzdata
  * Bump systemd Breaks to ensure it is upgraded in lockstep with udev
  * Bump priority of libpam-systemd to standard
  * Release version 232-15 to unstable
  * Fix seccomp filtering
  * Do not crash on daemon-reexec when /run is full
  * If an automount unit is masked, don't react to activation anymore
  * Cleanup version numbers in symbols file a little
  * Drop upstart jobs for udev
  * Drop /sbin/udevadm compat symlink from udev-udeb and initramfs
  * Drop Breaks and Replaces from pre-jessie
  * Install D-Bus policy files in /usr
  * Drop no longer needed maintainer scripts migration code
  * Drop version checks which always evaluate to false on upgrades
  * Simplify version checks for save_is_enabled
  * console-shell.service got removed upstream in v233
  * Fix location of installed tests
  * Override package-name-doesnt-match-sonames lintian warning for libnss-*
  * Don't ship any symlinks in /etc/systemd/system
  * Release version 233-3 to experimental
  * Restart journald on upgrades
  * Avoid strict DM API versioning
  * Release version 233-4 to experimental
  * Do not throw a warning in emergency and rescue mode if plymouth is not installed
  * rules: Allow SPARC vdisk devices when identifying CD drives
  * Release version 233-5 to experimental
  * Add Conflicts against hal
  * Drop systemd-ui Suggests
  * journal: fix up syslog facility when forwarding native messages
  * Split upstream tests into systemd-tests binary package
  * Move the lintian overrides to the systemd-tests package as well
  * Please lintian and fix description-is-pkg-name
  * Get PACKAGE_VERSION from config.h
  * Release version 233-6 to experimental
  * basic/journal-importer: Fix unaligned access in get_data_size()
  * ima: Ensure policy exists before asking the kernel to load it
  * Add Depends: procps to systemd
  * service: Serialize information about currently executing command
  * seccomp: Add clone syscall definitions for mips
  * Release version 233-7 to experimental
  * Bump debhelper compatibility level to 10
  * Drop versioned Build-Depends on dpkg-dev
  * timesyncd: don't use compiled-in list if FallbackNTP has been configured explicitly
  * resolved: fix null pointer p->question dereferencing
  * Release version 233-8 to experimental
  * hwdb: Use path_join() to generate the hwdb_bin path
  * Drop no longer needed Breaks against usb-modeswitch
  * Drop Breaks for packages shipping rcS init scripts
  * Release version 233-9 to unstable
  * Drop leftover BREAKS_RCS_COMPAT
  * Be truly quiet in systemctl -q is-enabled
  * Improve RLIMIT_NOFILE handling
  * Release version 233-10 to unstable
  * New upstream version 234
  * Updated version 234 from 'upstream/234'
  * Rebase patches
  * Switch build system from autotools to meson
  * Update fsckd patch for meson
  * udev autopkgtest: no longer install test-udev binary manually
  * Update symbols file for libsystemd0
  * Update lintian override for systemd-tests
  * Bump Standards-Version to 4.0.0
  * Change priority of libnss-* packages from extra to optional
  * Use UTF-8 locale when building the package
  * Mark test-timesync as manual
  * Do not link udev against libsystemd-shared
  * Avoid requiring a "kvm" system group
  * Release version 234-1 to unstable
  * Revert "units: Tell login to preserve environment"
  * Release version 234-2 to unstable
  * (Re)add --quiet flag to addgroup calls
  * Switch back to default GCC
  * Drop systemd-timesyncd.service.d/disable-with-time-daemon.conf
  * Release version 234-3 to unstable
  * New upstream version 235
  * Updated version 235 from 'upstream/235'
  * New upstream version 235
  * Refresh patches
  * Bump Build-Depends on libmount-dev to (>= 2.30)
  * Install new modprobe.d config file
  * Bump Standards-Version to 4.1.1
  * Release version 235-1 to unstable
  * Revert "tests: when running a manager object in a test, migrate to private cgroup subroot first"
  * Release version 235-2 to unstable
  * Switch from XC-Package-Type to Package-Type
  * Make installation of modprobe config work for both /usr/lib and /lib
  * Install modprobe configuration file to /lib/modprobe.d
  * New upstream version 236
  * Update upstream source from tag 'upstream/236'
  * New upstream version 236
  * Rebase patches
  * Update symbols file for libsystemd0
  * Bump Standards-Version to 4.1.2
  * Clean up old /var/lib/systemd/clock on upgrade
  * Stop creating systemd-timesync system user
  * Document removal of systemd-{timesync,journal-gateway,journal-upload} user
  * Revert "udev-rules: Permission changes for /dev/dri/renderD*"
  * Release version 236-1 to unstable
  * Downgrade priority of libudev1 to optional
  * Clarify NEWS entry about removal of system users
  * cryptsetup-generator: Don't mistake NULL input as OOM
  * analyze: Use normal bus connection for "plot" verb
  * Stop re-enabling systemd services on every upgrade
  * Release version 236-2 to unstable
  * Revert "core/execute: RuntimeDirectory= or friends requires mount namespace"
  * Release version 236-3 to unstable
  * Add Build-Depends on python3-evdev <!nocheck>
  * Release version 236-4 to unstable
  * New upstream version 237
  * Update upstream source from tag 'upstream/237'
  * New upstream version 237
  * Rebase patches
  * Update symbols file for libsystemd0
  * Update Vcs-* to point to https://salsa.debian.org
  * Bump Standards-Version to 4.1.3
  * Set Rules-Requires-Root to no
  * Release version 237-1 to unstable
  * Drop debian/extra/rules/70-debian-uaccess.rules
  * service: relax PID file symlink chain checks a bit
  * Release version 237-2 to unstable
  * Release version 237-3 to unstable
  * Drop mask for fuse SysV init script
  * Replace two Debian specific patches which cherry-picks from upstream master
  * Release version 237-4 to unstable
  * New upstream version 238
  * Update upstream source from tag 'upstream/238'
  * New upstream version 238
  * Rebase patches
  * Use compat symlinks as provided by upstream
  * Update symbols file for libsystemd0
  * test-cgroup-util: bail out when running under a buildd environment
  * Release version 238-1 to unstable
  * Release version 238-2 to unstable
  * Drop useless [PATCH] prefix from patch subject
  * basic/macros: Rename noreturn into _noreturn_
  * units: Fix SuccessAction that belongs to [Unit] section not [Service] section
  * Release version 238-3 to unstable
  * udev/net-id: Fix check for address to keep interface names stable
  * Use upstream patches to add support for /run/initctl
  * debian/copyright: Move global wildcard section to the top
  * Release version 238-4 to unstable
  * sd-bus: Do not try to close already closed fd
  * Use dh_missing to act on uninstalled files
  * meson: Avoid warning about comparison of bool and string
  * login: Respect --no-wall when cancelling a shutdown request
  * Add dependencies of libsystemd-shared to Pre-Depends
  * Drop dh_strip override, the dbgsym migration is done
  * Release version 238-5 to unstable
  * Drop alternative iptables-dev Build-Depends
  * Drop alternative btrfs-tools Recommends
  * Disable installation of RPM macros
  * Drop cleanup rules for libtool .la files
  * Drop fallback for older kernels when running the test suite
  * Stop cleaning up .busname units
  * Revert "Use UTF-8 locale when building the package"
  * Update upstream source from tag 'upstream/239'
  * New upstream version 239
  * Update changelog for new version 239
  * Update symbols file for libsystemd0
  * Rebase patches
  * Install new resolvectl tool
  * Disable support for "Portable Services"
  * Disable pristine-tar in gbp.conf
  * Bump Build-Depends on meson to (>= 0.44)
  * Stop setting the path for the kill binary, no longer necessary
  * Stop creating systemd-network and systemd-resolve system user
  * Revert "Revert "Use UTF-8 locale when building the package""
  * Release version 239-1 to unstable
  * sleep: Fix printf format of fiemap fields
  * timesync: Change type of drift_freq to int64_t
  * Bump systemd Breaks to ensure it is upgraded in lockstep with udev
  * Release version 239-2 to unstable
  * Revert "systemctl: when removing enablement or mask symlinks, cover both /run and /etc"
  * Release version 239-3 to unstable
  * Drop outdated section from README.Debian about switching back to SysV init
  * sleep: Fix one more printf format of a fiemap field
  * basic: Add missing comma in raw_clone assembly for sparc
  * bus-util: Make log level lower in request_name_destroy_callback()
  * tmpfiles: Specify access mode for /run/systemd/netif
  * Add Breaks against python-dbusmock (<< 0.18) to systemd
  * Add missing (<< 0.18) to the python-dbusmock Breaks
  * Drop patches which try to support running systemd services without systemd as pid 1
  * Release version 239-4 to unstable
  * Add inverse version restriction of the Breaks to the systemd-shim alternative in libpam-systemd
  * Release version 239-5 to unstable
  * autopkgtest: Make AppArmor violator test work with merged-usr
  * Make /dev/kvm accessible to local users and group kvm
  * Mark patch as debian specific
  * Move a few man pages from systemd to systemd-journal-remote
  * autopkgtest: Drop no-longer needed workaround from upstream test
  * Go back to statically allocate system users for timesyncd, networkd and resolved
  * Change python3-minimal dependency to python3
  * Make sure adduser has a chance to succeed
  * test: Drop SKIP_INITRD for QEMU-based tests
  * debian/tests/localed-x11-keymap: Deal with absence of /etc/default/keyboard more gracefully
  * Move (re)start of services after daemon-reexec
  * autopkgtest: Add various dependencies to make upstream test pass on Debian
  * Drop seccomp system call filter for udev
  * Release version 239-6 to unstable
  * autopkgtest: Add iputils-ping dependency to root-unittests
  * autopkgtest: Add dbus-user-session and libpam-systemd dependency to root-unittests
  * network/link: Fix logic error in matching devices by MAC
  * Release version 239-7 to unstable
  * Clean up dbus-org.freedesktop.timesync1.service Alias on purge
  * Replace Revert-udev-rules-Permission-changes-for-dev-kvm.patch with upstream patches
  * user-runtime-dir: Fix wrong SELinux context
  * core: Fix gid when DynamicUser=yes with static user
  * Remove udev control socket on shutdown under sysvinit
  * Clean up SysV init script a bit while at it
  * Bump Standards-Version to 4.2.1
  * Release version 239-8 to unstable
  * autopkgtest: Remove needs-recommends runtime restriction
  * test: Use installed catalogs when test-catalog is not located at build dir
  * test: Use "systemd-runtest.env" to set $SYSTEMD_TEST_DATA and $SYSTEMD_CATALOG_DIR
  * Release version 239-9 to unstable
  * meson: Rename -Ddebug to -Ddebug-extra
  * Add conflicts against consolekit
  * Release version 239-10 to unstable
  * debian/tests/upstream: Clean up after each test run
  * dhcp6: Make sure we have enough space for the DHCP6 option header
  * chown-recursive: Rework the recursive logic to use O_PATH
  * Drop test-chown-rec
  * Release version 239-11 to unstable
  * autopkgtest: Use shutil.which() which is provided by Python 3
  * Drop non-existing gnuefi=false build option
  * core: When deserializing state always use read_line(…, LONG_LINE_MAX, …)
  * meson: Use the host architecture compiler/linker for src/boot/efi
  * Make lintian happy and don't parse/mangle /etc/group directly
  * systemd: Do not pass .wants fragment path to manager_load_unit
  * machined: When reading os-release file, join PID namespace too
  * Release version 239-12 to unstable
  * autopktest: Add e2fsprogs dependency to upstream test
  * systemctl: Tell update-rc.d to skip creating any systemd symlinks
  * pam_systemd: Suppress LOG_DEBUG log messages if debugging is off
  * Drop cgroup-don-t-trim-cgroup-trees-created-by-someone-el.patch
  * Remove obsolete Replaces from pre-jessie
  * Release version 239-13 to unstable
  * autopkgtest: Drop test_custom_cgroup_cleanup from boot-and-services
  * resolved: Increase size of TCP stub replies
  * meson: Unify linux/stat.h check with other checks and use _GNU_SOURCE
  * Drop procps dependency from systemd
  * 40-systemd: Use case instead of if statement
  * Simplify container check in udev SysV init script
  * Release version 239-14 to unstable
  * Remove obsolete systemd-shim conffile on upgrades
  * Replace with cherry-pick from upstream master
  * Unbreak upstream PR which dropped PACKAGE_VERSION
  * New upstream version 240
  * Update upstream source from tag 'upstream/240'
  * New upstream version 240
  * Rebase patches
  * Install new systemd-id128 binary
  * Update symbols file for libsystemd0
  * Update nss build options
  * Release version 240-1 to unstable
  * Pass seperate dev_t var to device_path_parse_major_minor
  * test-json: Check absolute and relative difference in floating point test
  * sd-device: Fix segfault when error occurs in device_new_from_{nulstr,strv}()
  * udev-event: Do not read stdout or stderr if the pipefd is not created
  * Don't bump fs.nr_open in PID 1
  * Release version 240-2 to unstable
  * Fix typo in changelog
  * Replace with cherry-pick from upstream master
  * Replace with cherry-picks from upstream master
  * udev.init: Trigger add events for subsystems
  * udevadm: Refuse to run trigger, control, settle and monitor commands in chroot
  * network: Set link state configuring before setting addresses
  * libudev-util: Make util_replace_whitespace() read only len characters
  * man: Update color of journal logs in DEBUG level
  * Remove old state directory of systemd-timesyncd on upgrades
  * Release version 240-3 to unstable
  * Import patches from v240-stable branch (up to f02b5472c6)
  * sd-device-monitor: Fix ordering of setting buffer size
  * meson: Stop setting -fPIE globally
  * Release version 240-4 to unstable
  * Fix typo in changelog
  * Disable fallback DNS servers in resolved
  * cgtop: Fix processing of controllers other than CPU
  * udev: Restore debug level when logging a failure in the external prog called by IMPORT{program}
  * core: Remove "." path components from required mount paths
  * udev.init: Use new s-s-d --notify-await to start udev daemon
  * Make /dev/dri/renderD* accessible to group "render"
  * Release version 241-2 to unstable
  * Drop systemd-shim alternative from libpam-systemd
  * Properly remove duplicate directories from systemd package
  * udev: Run programs in the specified order
  * bash-completion: Use default completion for redirect operators
  *  networkd: Clarify that IPv6 RA uses our own stack, no the kernel's
  * Revert "Drop systemd-timesyncd.service.d/disable-with-time-daemon.conf"
  * network: Fix routing policy rule issue
  * pam-systemd: Use secure_getenv() rather than getenv()
  * Release version 241-3 to unstable
  * Switch debian-branch to experimental
  * New upstream version 242
  * Update upstream source from tag 'upstream/242'
  * New upstream version 242
  * journal-remote: Do not request Content-Length if Transfer-Encoding is chunked
  * Drop Revert-udev-network-device-renaming-immediately-give.patch
  * Rebase patches
  * Drop pre-stretch migration code
  * Drop /sbin/udevadm compat symlink
  * socket-util: Make sure flush_accept() doesn't hang on unexpected EOPNOTSUPP
  * Enable regexp matching support in journalctl using pcre2
  * Switch from libidn to libidn2
  * Release version 242-1 to experimental
  * Drop dependency on lsb-base
  * systemctl: Restore "systemctl reboot ARG" functionality
  * Stop removing enablement symlinks in /etc/systemd/system
  * Revert "Build manpages in .deb variant."
  * Revert "debian/extra/checkout-upstream: Support submodules"
  * random-util: Eat up bad RDRAND values seen on AMD CPUs
  * Add check to switch VTs only between K_XLATE or K_UNICODE
  * Document that DRM render nodes are now owned by group "render"
  * Release version 241-4 to unstable
  * Revert "Add check to switch VTs only between K_XLATE or K_UNICODE"
  * Release version 241-5 to unstable
  * meson: stop creating .wants directories for {multi-user,getty}.target
  * Replace manual removal of halt-local.service with upstream patch
  * Release version 242-2 to experimental
  * ask-password: Prevent buffer overflow when reading from keyring
  * Clarify documentation regarding %h/%u/%U specifiers
  * network: Behave more gracefully when IPv6 has been disabled
  * Release version 241-6 to unstable
  * network: Fix failure to bring up interface with Linux kernel 5.2
  * Use /usr/sbin/nologin as nologin shell
  * Release version 241-7 to unstable
  * d/t/boot-smoke: check for NetworkManager instead of D-Bus activated polkitd
  * Release version 242-3 to experimental
  * Merge branch 'master' into experimental
  * Release version 242-4 to unstable
  * New upstream version 243~rc2
  * core: never propagate reload failure to service result
  * shared/seccomp: add sync_file_range2
  * bash-completion: don't sort syslog priorities
  * test-bpf: skip test when run inside containers
  * Release version 242-5 to unstable
  * Switch debian-branch to experimental
  * Merge tag 'upstream/243_rc2' into experimental
  * New upstream version 243~rc2
  * Rebase patches
  * Update symbols file for libsystemd0
  * core: stop removing non-existent and duplicate lookup paths
  * Install static-nodes-permissions.conf tmpfile in udev
  * Release version 243~rc2-1 to experimental
  * Drop unused lintian override
  * network: fix ListenPort= in [WireGuard] section
  * d/e/r/73-usb-net-by-mac.rules: import net.ifnames only for network devices
  * d/e/r/73-usb-net-by-mac.rules: skip if iface name was provided by user-space
  * Drop dbus activation stub service
  * Revert "core: check start limit on condition checks too"
  * Release version 242-6 to unstable
  * New upstream version 243
  * Update upstream source from tag 'upstream/243'
  * New upstream version 243
  * Drop trailing ~ from symbol versions now that we have the final v243 release
  * Rebase patches
  * sleep: properly pass verb to sleep script
  * core: factor root_directory application out of apply_working_directory
  * shared/bus-util: drop trusted annotation from bus_open_system_watch_bind_with_description()
  * Release version 242-7 to unstable
  * Merge branch 'master' into experimental
  * Release version 243-1 to experimental
  * Import patches from v243-stable branch (up to fab6f010ac)
  * Release version 243-2 to experimental
  * Import patches from v243-stable branch (up to ef677436aa)
  * Release version 243-3 to experimental
  * debiant/tests/udev: replace deprecated ADTTMP with AUTOPKGTEST_TMP
  * Release version 242-8 to upstream
  * Merge branch 'master' into experimental
  * Release version 243-4 to experimental
  * Switch debian-branch to master
  * Switch default hierarchy (back) to hybrid
  * Drop masks for SysV init scripts that have been dropped
  * Drop masks for SysV init scripts provided by initscripts and bootlogd
  * Drop alias for rc.local and urandom as well
  * logind: fix emission of PropertiesChanged signal for users and seats
  * Bump Standards Version to 4.4.1
  * Release version 243-5 to unstable
  * Revert "sysusers: properly mark generated accounts as locked"
  * udev: ignore error caused by device disconnection
  * udev: do not append newline when writing attributes
  * Release version 243-6 to unstable
  * Fix build failure on arm64 with libseccomp >= 2.4.2
  * Release version 243-7 to unstable
  * Use DEP-14 branch names
  * udevadm: ignore EROFS and return earlier
  * udev: silence warning about PROGRAM+= or IMPORT+= rules
  * man: add entry about SpeedMeter=
  * udev: drop SystemCallArchitectures=native from systemd-udevd.service
  * Release version 243-8 to unstable
  * Mark udev-drop-SystemCallArchitectures-native-from-systemd-ude.patch as Debian specific
  * Release version 243-9 to unstable
  * Switch debian-branch to debian/experimental
  * New upstream version 244
  * Update upstream source from tag 'upstream/244'
  * New upstream version 244
  * Rebase patches
  * Release version 244-1 to experimental
  * Add lintian override for udev
  * Add lintian override for systemd-container
  * Make it easier to override MAC based name policy for USB network adapters
  * Switch debian-branch to debian/master
  * Move libpam-systemd Recommends from systemd to systemd-sysv
  * Release version 244-2 to unstable
  * Update udev-udeb to use 73-usb-net-by-mac.link
  * Release version 244-3 to unstable
  * Revert "Install missing files, prior to deduplication."
  * Revert "When doing upstream ci, install any missing files into the systemd package."
  * Revert "Add build-depends libssl-dev, libp11-kit-dev, libpwquality-dev for upstream CI of homed."
  * Revert "Add libfdisk-dev build-depends for upstream CI for repart tool."
  * New upstream version 244.1
  * Update upstream source from tag 'upstream/244.1'
  * New upstream version 244.1
  * core: don't allow perpetual units to be masked
  * Release version 244.1-1 to unstable
  * Report status of libpam-systemd and libnss-systemd in systemd reportbug template
  * Drop btrfs-progs Recommends from systemd-container
  * Fix processing of dpkg triggers in systemd
  * Use more consistent shell script headers
  * Fix cleanup of timesyncd state directory
  * Enable persistent journal
  * Release version 244.1-2 to unstable
  * Update documentation regarding network interface naming
  * Update debian/rules clean target to remove all Python bytecode
  * Update systemd package description
  * shared/dropin: fix assert for invalid drop-in
  * core: call dynamic_user_acquire() only when 'group' is non-null
  * Don't fail upgrade if /proc is not mounted
  * Release version 244.1-3 to unstable
  * New upstream version 244.2
  * Update upstream source from tag 'upstream/244.2'
  * New upstream version 244.2
  * Rebase patches
  * Bump Standards-Version to 4.5.0
  * Release version 244.2-1 to unstable
  * New upstream version 244.3
  * Update upstream source from tag 'upstream/244.3'
  * New upstream version 244.3
  * Release version 244.3-1 to unstable
  * Disable repart, userdb, homed, fdisk, pwquality, p11kit feature
  * analyze: fix table time output
  * execute: Fix migration from DynamicUser=yes to no
  * Drop manual clean up of /var/lib/private/systemd/timesync
  * Release version 245-1 to unstable
  * Revert "job: Don't mark as redundant if deps are relevant"
  * Release version 245-2 to unstable
  * New upstream version 245.2
  * Update upstream source from tag 'upstream/245.2'
  * New upstream version 245.2
  * Rebase patches
  * Enable seccomp support on riscv64
  * Use same GECOS field description as upstream for systemd-coredump
  * Drop migration code for the switch from DynamicUser=yes to no
  * Release version 245.2-1 to unstable
  * New upstream version 245.4
  * Update upstream source from tag 'upstream/245.4'
  * Update changelog
  * Enable systemd-pstore.service by default on new installs and upgrades
  * Revert "Enable seccomp support on riscv64"
  * Release version 245.4-1 to unstable
  * Small fixups for the previous commit
  * Small updates to debian/copyright
  * Release version 245.4-2 to unstable
  * pid1: by default make user units inherit their umask from the user manager
  * user-util: rework how we validate user names
  * Release version 245.4-3 to unstable
  * Drop Conflicts: virtualbox-guest-utils from systemd-timesyncd
  * pid1: automatically generate systemd-remount-fs.service deps, plus enable systemd-pstore from sysinit.target
  * Fix systemd-pstore.service enablement symlink on upgrades
  * Wrap overly long comment
  * Release version 245.4-4 to unstable
  * New upstream version 245.5
  * Update upstream source from tag 'upstream/245.5'
  * Update changelog
  * Rebase patches
  * Add reference to upstream issue for systemd-tmpfiles needing /proc
  * Release version 245.5-1 to unstable
  * Cherry-pick various fixes from upstream master
  * Install 60-block.rules in udev-udeb and initramfs-tools
  * Release version 245.5-2 to unstable
  * Bump priority of libnss-systemd to standard
  * logind: avoid shadow lookups when doing userdb client side
  * Disable DNSSEC support by default in resolved
  * Bump debhelper compatibility level to 13
  * Convert to dh_installsystemd and disable dh_installsystemduser
  * Drop custom initramfs update code
  * Release version 245.5-3 to unstable
  * New upstream version 245.6
  * Update upstream source from tag 'upstream/245.6'
  * New upstream version 245.6
  * Rebase patches
  * Release version 245.6-1 to unstable
  * d/t/boot-and-services: use canonical name for NetworkManager service
  * Fix build with libmicrohttpd 0.9.71
  * Release version 245.6-2 to unstable
  * Release version 245.6-3 to unstable
  * Mark zstd Build-Depends as <!nocheck>
  * New upstream version 245.7
  * Tighten libzstd-dev Build-Depends
  * Update upstream source from tag 'upstream/245.7'
  * Update changelog
  * Rebase patches
  * Release version 245.7-1 to unstable
  * Switch debian-branch to debian/experimental
  * New upstream version 246
  * Update upstream source from tag 'upstream/246'
  * New upstream version 246
  * Rebase patches
  * Update symbols file for libsystemd0
  * Bump libapparmor-dev Build-Depends to (>= 2.13)
  * Disable libfido2 support
  * Release version 246-1 to experimental
  * Revert "Switch debian-branch to debian/experimental"
  * Release version v246-2 to unstable
  * New upstream version 246.1
  * Update upstream source from tag 'upstream/246.1'
  * New upstream version 246.1
  * Rebase patches
  * Release version 246.1-1 to unstable
  * Remove resolvconf.conf drop-in, resolved integration moved to resolvconf package
  * New upstream version 246.2
  * Update upstream source from tag 'upstream/246.2'
  * Update changelog for 246.2 release
  * Rebase patches
  * Add versioned Breaks against resolvconf (<< 1.83~) to systemd
  * Keep journal files compatible with older versions
  * Release version 246.2-1 to unstable
  * Fix restart of systemd-networkd.socket
  * seccomp: Add support for riscv64
  * Support missing conditions/asserts everywhere
  * path: Skip directories when finalising $PATH search
  * Release version 246.2-2 to unstable
  * New upstream version 246.3
  * Update upstream source from tag 'upstream/246.3'
  * New upstream version 246.3
  * Rebase patches
  * Release version 246.3-1 to unstable
  * New upstream version 246.4
  * Update upstream source from tag 'upstream/246.4'
  * New upstream version 246.4
  * Rebase patches
  * Release version 246.4-1 to unstable
  * New upstream version 246.5
  * Update upstream source from tag 'upstream/246.5'
  * New upstream version 246.5
  * Rebase patches
  * Release version 246.5-1 to unstable
  * New upstream version 246.6
  * Update upstream source from tag 'upstream/246.6'
  * New upstream version 246.6
  * Rebase patches
  * Release version 246.6-1 to unstable
  * XDG autostart improvements
  * Re-enable seccomp support on riscv64
  * Move sysusers.d/sysctl.d/binfmt.d/modules-load.d back to /usr
  * units: update serial-getty@.service to support 57600 baud rate
  * bootspec: don't fail with EIO if searching for ESP and finding one without an enveloping partition table
  * Release version 246.6-2 to unstable
  * Switch debian-branch to debian/experimental
  * New upstream version 247~rc2
  * Update upstream source from tag 'upstream/247_rc2'
  * New upstream version 247~rc2
  * Rebase patches
  * Explicitly disable oomd
  * Use -Dmode=release as we want a release, not developer, build
  * Update symbols file for libudev1
  * Update symbols file for libsystemd0
  * Release version 247~rc2-1 to experimental
  * missing: define several syscall numbers for MIPS arch
  * Release version 247~rc2-2 to experimental
  * pam: include pam_keyinit session module in systemd-user
  * pam: move systemd-user PAM config from /etc/pam.d to /usr/lib/pam.d
  * init-functions: update LSB hook to not use ignore-dependencies
  * d/t/timedated: use /bin/bash to work around job handling issue in dash
  * Release version 246.6-3 to unstable
  * Revert "Trigger a systemctl daemon-reload when init scripts are installed or removed"
  * Release version 246.6-4 to unstable
  * Drop non-functional DefaultTasksMax patch
  * test-seccomp: accept ENOSYS from sysctl(2) too
  * test/test-functions: copy /usr/lib/pam.d into $initdir
  * Release version 246.6-5 to unstable
  * Merge tag 'debian/246.6-5' into debian/experimental
  * sd-device: make sd_device_has_current_tag() compatible with udev database generated by older udevd
  * Add Breaks: udev (<< 247~) to systemd
  * Release version 247~rc2-3 to unstable
  * New upstream version 247
  * Update upstream source from tag 'upstream/247'
  * New upstream version 247
  * Rebase patches
  * Update symbol versions for the v247 release
  * Release version 247-1 to experimental
  * Switch debian/watch back to systemd-stable repo now that v247 is released
  * New upstream version 247.1
  * Update upstream source from tag 'upstream/247.1'
  * New upstream version 247.1
  * Release version 247.1-1 to experimental
  * Revert "d/t/timedated: use /bin/bash to work around job handling issue in dash"
  * Merge branch 'debian/experimental' into debian/master
  * Switch debian-branch to debian/master
  * Release version 247.1-2 to unstable
  * d/t/timedated: Ignore return code of dbus-monitor in wait_mon()
  * Release version 247.1-3 to unstable
  * sd-device: keep escaped strings in DEVLINK= property
  * Release version 247.1-4 to unstable
  * Move udev NEWS entry to systemd
  * New upstream version 247.2
  * Update upstream source from tag 'upstream/247.2'
  * Rebase patches
  * test: fix fd_is_mount_point() check
  * Release version 247.2-1 to unstable
  * Switch to "unified" cgroup hierarchy (i.e. cgroupv2)
  * Release version 247.2-2 to unstable
  * test: use modern qemu numa arguments
  * Increase timeout when running unit tests
  * init-functions, getty-static.service: Don't hard-code path to systemctl binary
  * getty-static.service: Skip if dbus-broker is installed
  * Release version 247.2-3 to unstable
  * Move libraries and NSS modules from /lib to /usr/lib
  * Release version 247.2-4 to unstable
  * systemctl: do not shutdown immediately on scheduled shutdown
  * test: disable DnsmasqClientTest.test_resolved_etc_hosts in networkd-test.py
  * Bump Standards-Version to 4.5.1
  * Set upstream metadata fields: Bug-Submit, Bug-Database, Repository, Repository-Browse
  * Release version 247.2-5 to unstable
  * New upstream version 247.3
  * Update upstream source from tag 'upstream/247.3'
  * New upstream version 247.3
  * Rebase patches
  * Release version 247.3-1 to unstable
  * Downgrade a couple of warnings to debug
  * core: fix mtime calculation of dropin files
  * analyze: slightly reword PrivateTmp= message
  * rules: move ID_SMARTCARD_READER definition to a <70 configuration
  * units: turn off DNSSEC validation when timesyncd resolves hostnames
  * table: drop trailing white spaces of the last cell in row
  * Release version 247.3-2 to unstable
  * pkg-config: make prefix overridable again
  * Revert "units: turn off DNSSEC validation when timesyncd resolves hostnames"
  * Release version 247.3-3 to unstable
  * Fix patch metadata to be gbp dch compliant
  * network: Delay addition of IPv6 Proxy NDP addresses
  * Release version 247.3-4 to unstable
  * udev-udeb: setup /dev/fd, /dev/std{in,out,err} symlinks
  * Release version 247.3-5 to unstable
  * Switch debian-branch to debian/experimental
  * Release version 248-1 to experimental
  * New upstream version 248.1
  * Update upstream source from tag 'upstream/248.1'
  * New upstream version 248.1
  * Rebase patches
  * d/e/checkout-upstream: switch to main branch
  * Set executable bit for make-fbdev-blacklist script
  * Update make-fbdev-blacklist to not blacklist hyperv_fb
  * Release version 248.1-1 to experimental
  * d/t/control: drop obsolete alternative util-linux dependency
  * New upstream version 248.2
  * Update upstream source from tag 'upstream/248.2'
  * New upstream version 248.2
  * Release version 248.2-1 to experimental
  * New upstream version 248.3
  * Update upstream source from tag 'upstream/248.3'
  * New upstream version 248.3
  * Rebase patches
  * Release version 248.3-1 to experimental
  * Switch debian/watch from systemd-stable to systemd to get pre releases
  * New upstream version 249~rc1
  * Update upstream source from tag 'upstream/249_rc1'
  * New upstream version 249~rc1
  * Rebase patches
  * Replace m4 Build-Depends with python3-jinja2
  * Update symbols file for libsystemd0
  * test: do not run 'meson configure' if NO_BUILD is set
  * test: drop the mawk-incompatible expression
  * Add gawk <!nocheck> to Build-Depends
  * autopkgtest: add udev dependency to unit-tests
  * Release version 249~rc1-1 to experimental
  * New upstream version 249~rc2
  * Update upstream source from tag 'upstream/249_rc2'
  * New upstream version 249~rc2
  * Rebase patches
  * Release version 249~rc2-1 to experimental
  * New upstream version 249~rc3
  * Update upstream source from tag 'upstream/249_rc3'
  * New upstream version 249~rc3
  * Rebase patches
  * Release version 249~rc3-1 to experimental
  * New upstream version 249
  * Update upstream source from tag 'upstream/249'
  * New upstream version 249
  * Rebase patches
  * Update symbol versions for the v249 release
  * Fix removal of systemd-hwdb-update.service
  * Revert "Switch debian/watch from systemd-stable to systemd to get pre releases"
  * Release version 249-1 to experimental
  * New upstream version 249.1
  * Update upstream source from tag 'upstream/249.1'
  * New upstream version 249.1
  * Release version 249.1-1 to experimental
  * New upstream version 249.2
  * Update upstream source from tag 'upstream/249.2'
  * New upstream version 249.2
  * Rebase patches
  * Release version 249.2-1 to experimental
  * Remove obsolete upgrade code from maintainer scripts
  * Clean up old versions from maintscript files
  * Drop obsolete systemd Breaks/Replaces
  * Drop obsolete python-dbusmock Breaks
  * Turn versioned systemd-shim Breaks into unversioned Conflicts
  * Drop patches which are no longer needed after bullseye
  * Stop setting up device symlinks for CD-RW/DVD drives
  * autopkgtest: add systemd-timesyncd dependency to timedated test
  * autopkgtest: clean up dependencies of boot-smoke test
  * Release version 249.2-2 to experimental
  * New upstream version 249.3
  * Update upstream source from tag 'upstream/249.3'
  * New upstream version 249.3
  * Rebase patches
  * Remove obsolete systemd-resolve compat symlink
  * Release version 249.3-1 to experimental
  * Provide standalone binaries for sysusers and tmpfiles
  * Fix test dependencies of upstream test
  * Release version 249.3-2 to experimental
  * Use C/R/P for systemd-sysusers and systemd-tmpfiles
  * Release version 249.3-3 to experimental
  * Set upstream-branch to upstream/247.x
  * New upstream version 247.9
  * Update upstream source from tag 'upstream/247.9'
  * New upstream version 247.9
  * Rebase patches
  * Fix removal of systemd-hwdb-update.service
  * Release version 247.9-1 to unstable
  * Add Conflicts/Replaces: systemd to systemd-standalone-{sysusers,tmpfiles}
  * Release version 249.3-4 to unstable
  * New upstream version 249.4
  * Update upstream source from tag 'upstream/249.4'
  * New upstream version 249.4
  * Rebase patches
  * Release version 249.4-1 to experimental
  * Demote systemd-timesyncd from Depends to Recommends
  * Release version 247.9-2 to unstable
  * Revert multipath symlink race fix
  * Release version 247.9-3 to unstable
  * Revert "tests/udev-test.pl: add multiple device test"
  * test: Fix flakiness in TEST-10-ISSUE-2467
  * autopktest: Fix timedated test dependencies
  * autopkgtest: Merge configuration of logind test with timedated and related tests
  * Revert "test: disable DnsmasqClientTest.test_resolved_etc_hosts in networkd-test.py"
  * networkd-test: fix resolved_domain_restricted_dns
  * Release version 247.9-4 to unstable
  * Merge branch 'debian/master' into debian/experimental
  * Remove unused initialize_coredump() function
  * Fix #993738 by pulling the patches from upstream PR#20603
  * Release version 249.4-2 to unstable
  * New upstream version 249.5
  * Update upstream source from tag 'upstream/249.5'
  * New upstream version 249.5
  * Rebase patches
  * Update debian/copyright
  * Clean up lintian overrides
  * Release version 249.5-1 to unstable
  * hwdb: Allow console users access to media* nodes
  * Release version 249.5-2 to unstable
  * New upstream version 249.6
  * Update upstream source from tag 'upstream/249.6'
  * New upstream version 249.6
  * Rebase patches
  * test: use kbd-mode-map we ship in one more test case
  * Bump Standards-Version to 4.6.0
  * Drop obsolete C/R upstart from systemd-sysv
  * Drop obsolete dpkg (>= 1.19.3) | systemd-sysv dependency from udev
  * Make the C/R against systemd versioned in systemd-standalone-{sysusers,tmpfiles}
  * Drop obsolete migration code for RAMTMP, TPMTIME and UTC
  * Release version 249.6-1 to unstable
  * Consider dbus-broker in systemd-logind.service Condition check
  * Temporarily disable LTO
  * Use more consistent ordering in .install files
  * sysusers: split up systemd.conf
  * Release version 249.6-2 to unstable
  * Clean up udev.install a bit
  * scope: count successful cgroup additions when delegating via D-Bus
  * Release version 249.6-3 to unstable
  * New upstream version 249.7
  * Update upstream source from tag 'upstream/249.7'
  * New upstream version 249.7
  * Rebase patches
  * Release version 249.7-1 to unstable
  * Switch debian-branch to experimental
  * New upstream version 250~rc3
  * Update upstream source from tag 'upstream/250_rc3'
  * New upstream version 250~rc3
  * Bump meson Build-Depends to (>= 0.53.2)
  * Rebase patches
  * Update symbols file for libsystemd0
  * Update removal of upstream provided license files
  * Use -Durlify=false instead of shipping an upstream revert patch
  * Explicitly disable OpenSSL support
  * autopkgtest: install dbus-user-session for upstream test
  * Revert "Temporarily disable LTO"
  * Small updates to debian/copyright
  * Remove dbus introspection files
  * Release version 250~rc3-1 to experimental
  * New upstream version 250
  * Update upstream source from tag 'upstream/250'
  * New upstream version 250
  * Rebase patches
  * Update symbol versions for the v250 release
  * Release version 250-1 to experimental
  * Drop separate udeb build
  * Don't override sourcedir/destdir anymore
  * Cherry-pick various fixes targeted for v250-stable
  * Release version 250-2 to experimental
  * New upstream version 250.1
  * Update upstream source from tag 'upstream/250.1'
  * New upstream version 250.1
  * Rebase patches
  * Release version 250.1-1 to experimental
  * oomd: move oomctl to bindir
  * Enable systemd-repart and ship it in the main systemd package
  * test-repart: append /sbin and /usr/sbin to $PATH= so sfdisk can be found
  * Release version 250.1-2 to experimental
  * test: explicitly configure oomd stuff via dropins
  * autopkgtest: add systemd-oomd dependency to upstream test
  * New upstream version 250.2
  * Update upstream source from tag 'upstream/250.2'
  * Update changelog
  * Rebase patches
  * Switch debian-branch to debian/master
  * Release version 250.2-1 to unstable
  * Ship systemd-oomd.socket in correct systemd-oomd package
  * Don't install dbus-org.freedesktop.oom1.service symlink
  * Release version 250.2-2 to unstable
  * Don't stop systemd-oomd.socket during upgrades
  * Release version 250.2-3 to unstable
  * New upstream version 250.3
  * Update upstream source from tag 'upstream/250.3'
  * Update changelog
  * Add Recommends: libdw1 to systemd-coredump
  * Release version 250.3-1 to unstable
  * Add Recommends: dbus-user-session to libpam-systemd
  * Report status of dbus-user-session in systemd reportbug template
  * New upstream version 251~rc1
  * Update upstream source from tag 'upstream/251_rc1'
  * New upstream version 251~rc1
  * Rebase patches
  * Update symbols file for libsystemd0
  * Install shell completions for oomctl in systemd-oomd
  * Release version 251~rc1-1 to experimental
  * Drop outdated comment
  * Revert "Ignore libsystemd-core in dh_shlibdeps"
  * Adjust library search path for dh_shlibdeps
  * Release version 251~rc1-2 to experimental
  * Do not ship /usr/lib/tmpfiles.d/systemd-resolve.conf in systemd
  * hwdb: fix parsing options
  * Release version 251~rc1-3 to experimental
  * New upstream version 251~rc2
  * Update upstream source from tag 'upstream/251_rc2'
  * New upstream version 251~rc2
  * Rebase patches
  * Update symbols file for libsystemd0
  * Release version 251~rc2-1 to experimental
  * sd-device: always translate sysname to sysfs filename
  * Release version 251~rc2-2 to experimental
  * Enable pager Hyperlink ANSI sequence support
  * Drop unnecessary version constraints / dependencies
  * Update liblz4-dev Build-Depends as per meson.build
  * Use lower case consistently to start short description
  * New upstream version 251.2
  * Update upstream source from tag 'upstream/251.2'
  * New upstream version 251.2
  * Rebase patches
  * Fix parsing of command line options in fsckd
  * Do not require a valid version when parsing sd-boot loader entries
  * Add dpkg file trigger for systemd-binfmt to update binfmt registrations
  * Use a single NEWS file shipped in the main systemd package
  * Release version 251.2-1 to unstable
  * sha256: fix compilation on efi-ia32
  * Release version 251.2-2 to unstable
  * Move homectl and userdbctl to /usr/bin
  * Switch debian-branch to experimental
  * Install libsystemd-shared into rootpkglibdir
  * Split out libsystemd-shared into its own package
  * salsa-ci: disable piuparts
  * Split out systemd-boot into its own package
  * Add NEWS entry for the systemd-boot package split
  * Fix versions in Breaks/Replaces for systemd-boot split
  * Fix spelling error in debian/changelog
  * Use try-restart in systemd-binfmt dpkg trigger
  * Fix bashism in kernel-install
  * Upload to unstable
  * Release version 251.2-4 to unstable
  * Tweak description of systemd-homed package
  * Move shlibs dependencies of libsystemd-shared from Pre-Depends to Depends
  * Add versioned Breaks against sicherboot for the systemd-boot split
  * Drop old Conflicts against hal from udev
  * Release version 251.2-5 to unstable
  * Do not fail EFI build with newer binutils
  * shared/microhttp-util: silence gcc warning
  * Clarify NEWS message about systemd-boot split
  * Release version 251.2-6 to unstable
  * sd-boot: exit early in initramfs and kernel hook scripts if package is removed but not purged
  * Do not fail with older binutils
  * Release version 251.2-7 to unstable
  * autopkgtest: install openssl for upstream test
  * Start all short descriptions with lowercase consistently
  * Add versioned dependency on init-system-helpers to systemd-homed
  * Demote shlibs dependencies of libsystemd0 from Pre-Depends to Depends
  * Work around some more dh_installman issues
  * Release version 251.2-8 to unstable
  * New upstream version 251.3
  * Update upstream source from tag 'upstream/251.3'
  * New upstream version 251.3
  * Rebase patches
  * Release version 251.3-1 to unstable
  * Fix typo in systemd-resolved package description
  * Merge branch 'debian/experimental' into debian/master
  * Merge changes from experimental and release version 251.3-2 to unstable
  * New upstream version 251.4
  * Update upstream source from tag 'upstream/251.4'
  * New upstream version 251.4
  * Rebase patches
  * Release version 251.4-1 to unstable
  * Install NEWS.Debian file into all binary packages
  * Handle removal of /var/log/README
  * New upstream version 251.5
  * Update upstream source from tag 'upstream/251.5'
  * Update changelog
  * Rebase patches
  * Release version 251.5-1 to unstable
  * salsa-ci: rename gitlab-ci.yml to salsa-ci.yml
  * salsa-ci: drop no longer needed workaround for lintian false positives
  * udev: fix regression in udev-builtin path_id when processing NVME devices
  * Release version 251.5-2 to unstable
  * Update comment regarding logind restart
  * Update symbol versions for the v251 release
  * ata_id: fix getting Response Code from SCSI Sense Data
  * logind: do not emit beep in wall messages
  * logind: remember our idle state and use it to detect idle level transitions
  * logind: fix getting property OnExternalPower via D-Bus
  * Release version 251.5-3 to unstable
  * New upstream version 251.6
  * Update upstream source from tag 'upstream/251.6'
  * New upstream version 251.6
  * Rebase patches
  * Use dh_installsystemd to enable machines.target in systemd-container
  * Release version 251.6-1 to unstable
  * Install sysusers.d and tmpfiles.d man pages in standalone packages
  * Keep policykit-1 as alternative dependency to polkitd
  * Update remaining policykit-1 (test) dependencies and prefer polkitd
  * Release version 252.2-2 to unstable
  * New upstream version 252.3
  * Update upstream source from tag 'upstream/252.3'
  * New upstream version 252.3
  * Rebase patches
  * Release version 252.3-1 to unstable
  * Skip flaky test_resolved_domain_restricted_dns in networkd-test.py
  * Release version 252.3-2 to unstable
  * Refresh patches
  * Tweak description of systemd and systemd-sysv package
  * autopkgtest: add psmsic to upstream suite
  * autopkgtest: add xkb-data, locales and locales-all to upstream suite
  * autopkgtest: prefer knot-dnssecutils over knot-dnsutils for upstream suite
  * Cherry-pick upstream fixes for TEST-74-AUX-UTILS
  * Cherry-pick upstream fix for TEST-73-LOCALE
  * Skip firstboot --prompt-keymap check in TEST-74-AUX-UTILS
  * Release version 252.4-2 to unstable
  * Run the systemd-binfmt trigger unconditionally
  * Ask before attaching the udev db information to the bug report
  * Install D-Bus interface files in systemd-dev
  * Clean up a couple more __pycache__ directories
  * Remove workarounds for dh_installman
  * Remove all empty directories from (/usr)/lib
  * Remove no longer needed maintainer scripts migration code for versions older then oldstable
  * Revert "Add workaround for Meson regression to fix FTBFS on mips64el"
  * Release version 254.1-3 to unstable
  * Remove obsolete SysV init script
  * Use dh_installsystemd to handle systemd-udevd.service
  * Add Conflicts against initscripts and orphan-sysvinit-scripts
  * Fix installation of tzdata-legacy
  * Drop obsolete Breaks/Replaces and migration code for versions older than oldstable
  * Drop -f from update-rc.d udev remove
  * Update symbol versions for the final 254 release
  * Remove mangling of man pages post build trying to fix up paths
  * Use a drop-in to avoid startup failures of systemd-logind when dbus is missing
  * Add versioned Breaks against dracut
  * Release version 255~rc2-2 to unstable
  * Use canonical paths for scripts in debian/extra
  * autopkgtest: install systemd-boot-efi for upstream suite
  * test: skip tests for unsupported localectl features
  * Update symbol versions for the final 255 release
  * Install systemd and udev files explicitly without duplicates
  * Mark usr/lib/sysctl.d/50-pid-max.conf as arch specific
  * Fix arch "all" builds
  * Install standalone binaries using dh-exec
  * Print empty directories
  * Split ukify into a separate package named systemd-ukify
  * Add a reference to #1038137 for the boot-and-services workaround
  * Make the Conflicts against bfh-container and progress-linux-container versioned
  * Update version in Breaks/Replaces for systemd-ukify split
  * Release version 255.1-1 to experimental
  * Upgrade the Breaks to Conflicts for the systemd-ukify package split
  * Update package description of libnss-myhostname to use the correct IPv4 address
  * resolved: actually check authenticated flag of SOA transaction
  * Explicitly disable ukify for stage1 builds
  * Enable dh-exec for systemd.manpages and udev.install
  * Restrict pcr/tpm2 related files to UEFI architectures
  * Install dmi_memory_id and its udev rules file only on dmi architectures
  * Fix stage1 profile build
  * Release version 255.1-2 to experimental
  * Fix installation of dmi_memory_id on i386 and x32
  * Explicitly disable bootloader for stage1 build
  * Mark missing man pages from stage1 build
  * Release version 255.1-3 to unstable
  * Cherry-pick fixes for upstream integration tests
  * Add explicit Build-Depends on debhelper (>= 13.11.6)
  * test: deny-list TEST-13-NSPAWN
  * Release version 255.2-3 to unstable
  * autopkgtest: add btrfs-progs Depends to upstream suite
  * Revert "test: deny-list TEST-13-NSPAWN"
  * autopkgtest: add multipath-tools and kpartx Depends to upstream suite
  * test: install correct kpartx udev rules on Debian
  * Release version 255.2-4 to unstable
  * autopkgtest: depend on pkgconf rather than pkg-config
  * upstream-ci: move bootctl related units to systemd-boot
  * Stop setting default-hierarchy to unified explicitly
  * Replace Skip-flaky-test_resolved_domain_restricted_dns-in-network.patch
  * Remove myself from Uploaders
  * Make /run/lock tmpfs an API fs
  * Downgrade a couple of warnings to debug

  [ Ioanna Alifieraki ]
  * systemctl: return error code when scheduled shutdown fails
  * systemctl: do not shutdown immediately on scheduled shutdown

  [ Martin Pitt ]
  * debian/udev.udev-finish.upstart: Fix path to tmp-rules
  * rules: Remove the kernel-install bits
  * Ship sd-shutdown.h in libsystemd-daemon-dev
  * Run dh_install with --fail-missing
  * Mount /dev/pts with the correct permissions in the udev
  * Add new block of Windows Azure ethernet hardware address to 75-persistent-net-generator.rules
  * Drop our Debian specific 60-persistent-storage{,-tape}.rules
  * Drop our Debian specific 80-drivers.rules
  * Drop our Debian specific 50-udev-default.rules and 91-permissions.rules
  * Add reference to #739018 to changelog
  * Set default polling interval on removable devices as well
  * Make sd_login_monitor_new() work for logind without systemd
  * Fix polkit permissions for rebooting with multiple sessions
  * Merge mbiebl's changelog records
  * Kill /etc/udev/links.conf, create_static_nodes, and associated code.
  * Drop unnecessary udev.dirs
  * Add autopkgtests
  * Fix 3e1bf to remove the file in the install directory
  * In the udeb's udev.startup, make sure that /dev/pts exists
  * systemd-logind-launch: Set the #files ulimit
  * Drop udev.NEWS, it only applies to pre-squeeze
  * Remove /var/log/udev on purge
  * Always probe cpu support drivers
  * Rename PowerEdge idrac network interfaces
  * Install new rules from previous commit
  * Drop numerical prefixes from patches
  * Explain patch management in debian/README.source
  * README.source: Fix typo
  * Replace "Always probe cpu support drivers" patch with cherry-picked upstream fix
  * Document disabling of patch numbers
  * add bug ref to #739113
  * Advertise hibernation only if there's enough free swap.
  * Fix typo in sg loading rule to make it actually work
  * Change the sg loading rule back to using modprobe
  * Clean up libsystemd-login-dev autopkgtest
  * Use glibc's xattr support instead of requiring libattr.
  * Build python3-systemd for Python 3 bindings.
  * Add simple autopkgtest for python3-systemd
  * Add dbus dependency to libpam-systemd
  * Fix CD symlinks
  * 75-persistent-net-generator.rules: Adjust Ravello interfaces
  * Reinstate patches to make logind D-BUS activatable
  * Revert "Drop systemd-logind-launch script"
  * Re-add systemd-shim alternative dependency to libpam-systemd
  * Drop now unnecessary libattr1-dev build dep
  * Fix typo in systemd-shim dependency
  * Convert udev-finish.upstart from a task to a job
  * Add debian/extra/60-keyboard.hwdb: Latest keymaps from upstream git
  * udev.init: Create static device nodes
  * releasing package systemd version 208-7
  * Fix duplicate line in copyright
  * Drop --disable-xattr configure option for udeb
  * Add Turkish debconf translations
  * Backport fix for lazy session-activation on non-seat0 seats
  * 75-persistent-net-generator.rules: Fix matches of HyperV
  * Fix udev path in udev(7)
  * Fix two more /usr/lib/ references in udev(7)
  * 75-persistent-net-generator.rules: Add new MS Azure MAC prefix 00:25:ae
  * Unblacklist hyperv_fb again
  * Bump systemd-shim Depends/Breaks to 8.2 to ensure a lockstep upgrade
  * fix typo in previous changelog
  * Cherry-pick upstream patch to fix udev crash in link_config_get()
  * Cherry-pick upstream patch to fix tests in limited schroot environments
  * Allow specifying an alternate /etc/machine-id location
  * Run tests during package build
  * Make-emergency.service-conflict-with-rescue.service.patch got accepted upstream, adjust series
  * Drop our Check-for-kmod-binary.patch
  * Drop Use-comment-systemd.-syntax-in-systemd.mount-man-pag.patch
  * Adjust debian/tests/hostnamed to current upstream version
  * Adjust debian/tests/timedated to current upstream version
  * Fix dependency for x-systemd-* syntax
  * Replace our Debian hwdb.bin location patch with what got committed upstream
  * Refresh patches from gbp-pq export
  * debian/README.Debian: Document how to debug boot or shutdown problems with the debug shell
  * debian/README.Debian: Some clarifications to debug instructions
  * Skip-99-systemd.rules-when-not-running-systemd-as-in.patch: Call path_id under all init systems
  * Clarify changelog of previous commit
  * Switch libpam-systemd dependencies to prefer systemd-shim over systemd-sysv
  * Remove Tollef from Uploaders: as per his request
  * net.agent: Properly close stdout/err FDs
  * Bump Standards-Version to 3.9.6 (no changes necessary)
  * releasing package systemd version 215-6
  * Add Martin Pitt to Uploaders:
  * Add boot-and-services autopkgtest
  * logind autopkgtest: Fix stderr output in waiting loop for scsi_debug
  * Add nspawn test to boot-and-services autopkgtest
  * Imported Upstream version 217
  * Make systemd-nspawn@.service work out of the box
  * Fix SELinux unit access check
  * Fix patch file name
  * sysv-generator: Calculate proper dependencies for failing units
  * Recognize and respect the "discard" mount option for swap devices
  * releasing package systemd version 215-7
  * Switch debian/gbp.conf to experimental branch
  * Imported Upstream version 217
  * Port patches to 217
  * Disable systemd-resolved for now
  * Bump util-linux dependency to >= 2.25
  * Drop installation of 50-firmware.rules
  * Drop installation of readahead related services and code
  * Don't install /usr/share/factory
  * Don't install systemd-firstboot
  * Ship new networkctl CLI tool
  * debian/libsystemd0.symbols: Add new symbols from this release
  * debian/rules: Call dpkg-gensymbols with -c4
  * Don't install libnss_mymachines
  * Build-depend on libapparmor-dev to enable AppArmor support
  * boot-and-services autopkgtest: Test AppArmor confined units
  * Create new "systemd-journal-remote" system group
  * releasing package systemd version 217-1
  * Handle multiple display managers which don't ship a systemd unit, part 1
  * Handle multiple display managers which don't ship a systemd unit, part 2
  * Re-enable journal forwarding to syslog
  * Fix hostnamectl exit code on success
  * hostnamectl-Exit-with-zero-on-success.patch committed upstream, move in series
  * Fix "diff failed with error code 1" spew with systemd-delta
  * Re-enable systemd-resolved
  * Fix "diff failed with error code 1" patch
  * Import v217-stable patches
  * Disable AppArmor again
  * systemd.bug-script: Capture stderr of systemd-{delta,analyze}
  * releasing package systemd version 217-2
  * systemd.bug-script: Really capture stderr of systemd-delta
  * boot-and-services autopkgtest: Give test apparmor job some time to actually finish
  * releasing package systemd version 217-3
  * Add userspace firmware loader stub
  * Clean up ...journal~ files from unclean shutdowns
  * debian/systemd.postinst: Don't always restart journald
  * debian/systemd.postinst: Don't always restart journald
  * journalctl: Fix help text for --until
  * Bump systemd's udev dependency to >= 208-8
  * Revert "Handle multiple display managers which don't ship a systemd unit, part 2"
  * releasing package systemd version 215-8
  * Revert "Handle multiple display managers which don't ship a systemd unit, part 2"
  * releasing package systemd version 217-4
  * Imported Upstream version 218
  * Imported Upstream version 218
  * New upstream release 218
  * Add new libmount-dev build dependency
  * Configure with --enable-split-usr
  * Don't symlink udev doc directories when building on Ubuntu
  * Add epoch to gudev packages when building on Ubuntu
  * Add Apport hooks for udev and systemd when building on Ubuntu
  * udev-fallback-graphics upstart job: Guard the modprobe with || true
  * releasing package systemd version 218-1
  * boot-and-services AppArmor autopkgtest: Stop checking the dmesg log
  * Fix crash in timedatectl with Etc/UTC
  * Prefer-etc-X11-default-display-manager-if-present.patch: Drop wrong copy&paste'd comment, fix log strings
  * Prefer-etc-X11-default-display-manager-if-present.patch: Drop wrong copy&paste'd comment, fix log strings
  * Log all members of cyclic dependencies (loops) even with quiet on the kernel cmdline
  * boot-and-services: Robustify Nspawn tests, and show systemd-nspawn output on failure
  * Make test suite failures fatal
  * releasing package systemd version 218-2
  * build-logind autopkgtest: Re-enforce that sd_login_monitor_new() succeeds
  * Bring back patch to make sd_login_monitor_new() work under other init systems
  * build-login autopkgtest: Build against libsystemd, not libsystemd-login any more
  * Add debian/extra/systemd-vconsole-setup.service dependency shim
  * Don't auto-clean PrivateTmp dir in /var/tmp
  * Mark systemd{,-sysv} as M-A: foreign
  * Quiesce maintainer-script-calls-systemctl lintian warning
  * Quiesce possibly-insecure-handling-of-tmp-files lintian warning
  * Use dh_installinit's --noscript instead of --no-start for the upstart jobs
  * Put systemd.pc into arch specific pkgconfig dir
  * Don't enable audit by default
  * Fixes massive CPU usage due to tight retry loops in user LXC containers
  * releasing package systemd version 218-3
  * Limit journal to 7 days with "MaxRetentionSec=7day"
  * Revert "Limit journal to 7 days with "MaxRetentionSec=7day""
  * Adjust patch series for upstreamed patch
  * sysv-generator: handle Provides: for non-virtual facility names
  * sysv-generator: handle Provides: for non-virtual facility names
  * gbp-pq patch noise
  * fstab-generator: Handle mountall's non-standard "nobootwait" and "optional" options
  * Fix systemd-remount-fs.service to not fail on remounting /usr if /usr isn't mounted yet
  * Fix systemd-remount-fs.service to not fail on remounting /usr if /usr isn't mounted yet
  * Add autopkgtest for one-time boot with upstart when systemd-sysv is installed
  * releasing package systemd version 215-9
  * Adjust patch series for upstreamed patch
  * debian/ifup@.service: Check if ifup succeeds
  * debian/ifup@.service: Set proper service type (oneshot)
  * Use common-session-noninteractive in systemd-user's PAM config
  * Use common-session-noninteractive in systemd-user's PAM config
  * gbp-pq patch noise
  * sysv-generator: Handle .sh suffixes when translating Provides:
  * sysv-generator: Handle .sh suffixes when translating Provides:
  * sysv-generator: Make real units overwrite symlinks generated by Provides: from other units
  * sysv-generator: Make real units overwrite symlinks generated by Provides: from other units
  * Fix journal forwarding to syslog in containers without CAP_SYS_ADMIN
  * Fix journal forwarding to syslog in containers without CAP_SYS_ADMIN
  * Re-enable AppArmor support
  * releasing package systemd version 215-10
  * Adjust patch series for upstreamed patch
  * Add some missing dpkg and ucf temp files to the "hidden file" filter
  * Silence useless warning about /etc/localtime not being a symlink
  * releasing package systemd version 218-4
  * Adjust patch series for upstreamed patch
  * Drop logger.agent
  * debian/rules: Configure with --disable-firstboot
  * Clean up Debian specific file installation
  * Add 40-hyperv-hotadd.rules when building on Ubuntu
  * Add 61-persistant-storage-android.rules when building on Ubuntu
  * Add 71-power-switch-proliant.rules when building on Ubuntu
  * Add 78-graphics-card.rules when building on Ubuntu
  * Don't install the Debian *.agent scripts when building on Ubuntu
  * Make EPERM/EACCESS when applying OOM adjustment for forked processes non-fatal
  * Fix assertion failure due to /dev/urandom being unmounted
  * Enable EFI support
  * releasing package systemd version 218-5
  * initramfs hook: Install 61-persistant-storage-android.rules if it exists
  * escape-beef-up-new-systemd-escape-tool.patch: Avoid creating a danling symlink
  * Generate POT file during package build
  * ifup@.service: Lessen dependencies
  * Pull latest keymaps from upstream git
  * Order ifup@.service and networking.service after network-pre.target
  * Order ifup@.service and networking.service after network-pre.target
  * Revert "ifup@.service: Lessen dependencies"
  * Tone down "Network interface NamePolicy= disabled on kernel commandline, ignoring" info message to debug
  * Tone down "Network interface NamePolicy= disabled on kernel commandline, ignoring" info message to debug
  * releasing package systemd version 218-6
  * Don't attempt to mount the same swap partition twice through different device node aliases
  * logind: handle closing sessions over daemon restarts
  * logind: Fix sd_eviocrevoke ioctl call
  * debian/rules: Drop obsolete configure options
  * logind: handle closing sessions over daemon restarts
  * logind: Fix sd_eviocrevoke ioctl call
  * debian/patches/series: Move upstreamed patches into the appropriate section
  * releasing package systemd version 215-11
  * debian/udev.README.Debian: Trim the parts which are obsolete, wrong, or described in manpages
  * Actually install udev's README.Debian when building for Debian
  * debian/udev.README.Debian: Trim the parts which are obsolete, wrong, or described in manpages
  * Actually install udev's README.Debian when building for Debian
  * Create system group "input" which was introduced in 215
  * ifup@.service: Don't fail if the interface is not configured in /etc/network/interfaces at all
  * releasing package systemd version 218-7
  * Fix "danling" typo in 215-11 changelog
  * boot-and-services autopkgtest: Ensure that there are no failed units
  * Revert "input" system group creation in systemd.postinst from 218-7
  * Revert "ifup@.service: Don't fail if the interface is not configured in /etc/network/interfaces at all"
  * ifup@.service: Drop Before=network.target ordering
  * Drop Also-redirect-to-update-rc.d-when-not-using-.service.patch
  * SysV generator patch cleanup
  * Revert "ifup@.service: Drop Before=network.target ordering"
  * Drop Launch-logind-via-a-shell-wrapper.patch and systemd-logind-launch wrapper
  * patch series: Move Add-dev-urandom-to-ignore_paths.patch into "backported"
  * /lib/lsb/init-functions.d/40-systemd: Avoid deadlocks during bootup and shutdown
  * debian/changelog: trivial whitespace fix
  * update-rc.d patch cleanup
  * Only start logind if D-BUS is installed
  * Fix previous changelog, we mean the "dbus" package, not the project
  * Statically start getty on tty2-6 without logind
  * debian/changelog: clean up changelog entry for commit 7443382
  * Only start logind if dbus is installed
  * Statically start getty on tty2-6 without logind
  * gbp-pq export noise
  * Fix logind startup condition to not hardcode dbus-daemon path
  * Revert "Fix logind startup condition to not hardcode dbus-daemon path"
  * Drop seddery for getty-static.service
  * Drop seddery for getty-static.service
  * releasing package systemd version 218-8
  * Fix debian/tests/logind test under sysvinit/upstart
  * Add unit-config autopkgtest
  * systemctl: Always install/enable/disable native units
  * Adjust patch series for upstreamed patch
  * (Ubuntu) Add 62-cloudimg.rules to use noop I/O scheduler for Google virtual drives
  * Add unit-config autopkgtest
  * cgroup: Don't trim cgroup trees created by someone else
  * Revert "(Ubuntu) Add 62-cloudimg.rules to use noop I/O scheduler for Google virtual drives"
  * Don't parse /etc/mtab for current mounts, but /proc/self/mountinfo
  * cgroup: Don't trim cgroup trees created by someone else
  * Unfuzz cgroup-don-t-trim-cgroup-trees-created-by-someone-el.patch
  * Pull latest keymaps from upstream git
  * rules: Fix by-path of mmc RPMB partitions and don't blkid them
  * Clean up stale mounts when ejecting CD drives with the hardware eject button
  * Adjust patch series for upstreamed patch
  * Document systemctl --failed option
  * Quiesce confusing and irrelevant "failed to reset devices.list" warning
  * When booting with systemd-bootchart, default to run systemd
  * boot-and-services autopkgtest: Add CgroupsTest to check cgroup creation/cleanup behaviour
  * boot-and-services autopkgtest: Add CgroupsTest to check cgroup creation/cleanup behaviour
  * rules: simplify mmc RPMB handling
  * rules: Fix by-path of mmc RPMB partitions and don't blkid them
  * Document systemctl --failed option
  * releasing package systemd version 215-12
  * releasing package systemd version 218-10
  * /lib/lsb/init-functions.d/40-systemd: Call systemctl is-system-running with --quiet
  * Clean up leftover symlinks on purge
  * Move all Debian specific units in the systemd package into debian/extra/units/
  * Enable timesyncd by default
  * debian/systemd.links: Drop obsolete hwclockfirst.service mask link
  * Merge tag 'upstream/217' into experimental
  * Merge tag 'upstream/218' into experimental
  * Imported Upstream version 219
  * Merge tag 'upstream/219' into experimental
  * New upstream release 219
  * Bump libblkid-dev build dependency
  * debian/systemd.install: Add new systemd-hwdb and language-fallback-map files
  * debian/libsystemd0.symbols: Add new symbols from this release
  * tmpfiles.d/systemd.conf: Make ACL for "adm" actually work
  * Move systemd-hwdb into udev
  * debian/rules: Explicitly disable importd for now, enable hwdb support
  * Enable libiptc support for networkd masquerading/NAT
  * Move systemd-hwdb manpages and units to udev
  * debian/udev.postinst: Call systemd-hwdb instead of udevadm hwdb
  * Revert "Enable libiptc support for networkd masquerading/NAT"
  * releasing package systemd version 219-1
  * Fix UTF-16 to UTF-8 conversion on big-endian machines
  * Disable new new test-sigbus, it fails on some buildds due to too old kernels
  * debian/README.Debian: Drop setfacl call for /var/log/journal
  * debian/tests/boot-and-services: Move to using /var/lib/machines/
  * debian/systemd.postinst: Drop setfacl call for /var/log/journal
  * Drop "acl" dependency
  * Use upstream UTF-16 to UTF-8 conversion fix
  * releasing package systemd version 219-2
  * sysv-generator: fix wrong "Overwriting existing symlink" warnings
  * Add systemd-fsckd multiplexer and feed its output to plymouth
  * Revert "journald: allow restarting journald without losing stream connections"
  * Add "boot-smoke" autopkgtest: Test 20 successful reboots in a row
  * debian/tests/localed-locale: Set up locale and keyboard default files on a minimal unconfigured testbed
  * Add missing python3 test dependency to cmdline-upstart-boot and display-managers autopkgtests
  * debian/tests/boot-and-services: Skip AppArmor test if AppArmor is not enabled
  * debian/tests/boot-and-services: Reboot also if lightdm was just installed but isn't running yet
  * releasing package systemd version 219-3
  * Add hwclock-save.service to sync the system clock to the hardware clock on shutdown
  * Make debian/tests/boot-smoke executable
  * tmpfiles: Avoid creating duplicate ACL entries
  * bootchart: Fix path to default init
  * Add "bootchart" autopkgtest
  * autopkgtests: Factorize out "assert.sh" utility functions
  * Downgrade requirement for some autopkgtests from machine to container isolation
  * boot-and-services and display-manager autopkgtest: Add systemd-sysv as proper test dependency
  * boot-and-services autopkgtest: Check cleanup of temporary files during boot
  * Clean up /tmp/ directory again
  * releasing package systemd version 219-4
  * journald: Suppress expected cases of "Failed to set file attributes" errors
  * Add systemd-sysv.postinst: Update grub on first installation
  * debian/tests: Call /tmp/autopkgtest-reboot
  * Check for correct architecture identifiers for SuperH
  * Check for correct architecture identifiers for SuperH
  * networkd: Fix stopping v4 dhcpclient when the carrier is lost
  * Fix tmpfiles.d to only apply the first match again
  * rules-ubuntu/71-power-switch-proliant.rules: Add support for HP ProLiant m400 on Linux 3.16+
  * /lib/lsb/init-functions.d/40-systemd: Don't ignore systemd unit dependencies in "degraded" mode
  * Fix mount point detection on overlayfs and similar file systems
  * cmdline-upstart-boot autopkgtest: Update to Ubuntu's upstart-sysv split
  * Fix segfault with units that depend on themselves
  * tmpfiles-setup-dev: Call tmpfiles with --boot to allow unsafe device creation
  * Rework package description to be more accurate
  * core: Don't migrate PIDs for units that may contain subcgroups
  * sysv-generator: add support for /etc/insserv/overrides
  * releasing package systemd version 215-13
  * Revert "Fix mount point detection on overlayfs and similar file systems"
  * releasing package systemd version 219-5
  * Import patches from v219-stable branch
  * scope: Make attachment of initial PIDs more robust
  * boot-and-services autopkgtest: Add missing python3 test dependency
  * boot-and-services, display-managers autopkgtests: Add missing python3 test dependency
  * Don't attempt to mount the same swap partition twice through different device node aliases
  * Make apparmor run before networking
  * udev: Drop hwdb-update dependency
  * releasing package systemd version 219-6
  * Make systemd-sysv's dependency to systemd unversioned
  * Revert "udev: Drop hwdb-update dependency"
  * display-managers autopkgtest: Properly wait until all jobs are finished
  * display-managers autopkgtest: Reset failed units between tests
  * Trigger a systemctl daemon-reload when init scripts are installed or removed
  * Fix getty restart loop when PTS device is gone
  * Enable timesyncd in virtual machines
  * Run timesyncd in virtual machines
  * Make logind work in environments without CAP_SYS_ADMIN (mostly containers)
  * Check for correct signatures when setting properties
  * fsck, fsckd: Grab various fixes from upstream git
  * releasing package systemd version 215-15
  * gbp-pq patch noise
  * changelog: link to Debian #782265
  * releasing package systemd version 219-7
  * debian/changelog entry for previous patch
  * cryptsetup: Implement offset and skip options
  * cryptsetup: Implement offset and skip options
  * Fix changelog for commit db920726
  * cryptsetup: Fail on invalid offset= values
  * cryptsetup: Fail on invalid offset= values
  * releasing package systemd version 215-17
  * Replace cryptsetup fix with upstream commit
  * logind autopkgtest: Add test for suspending on lid switch close
  * Reduce the initial suspend supression time from 3 minutes to 30 seconds
  * Fix double free crash in "systemctl enable" when calling update-rc.d and the latter fails
  * hwdb: Fix wireless switch on Dell Latitude
  * Fix assertion crash when reading a service file with missing ' and trailing space
  * ifup@.service: Set IgnoreOnIsolate and PartOf=network.target
  * Revert upstream commit 743970d which immediately SIGKILLs units during shutdown
  * ifup@.service: Revert PartOf=
  * link to Debian #762953
  * Drop the reversion of "journald: allow restarting journald without losing stream connections"
  * Revert "ifup@.service: Revert PartOf="
  * releasing package systemd version 219-8
  * add bug ref to #764613 to 219-8 changelog
  * 75-persistent-net-generator.rules: Fix rules for ibmveth
  * debian/tests/unit-config: Add tests for systemctl enable/disable on a SysV-only unit
  * Fix systemctl enable for SysV scripts without a native unit
  * Add LP bug ref for commit 894d0f2d2
  * Add bug ref to #784720
  * Add Debian bug ref to Revert-core-one-step-back-again-for-nspawn-we-actual.patch
  * Revert upstream commit 743970d which immediately SIGKILLs units during shutdown
  * Drop Add-env-variable-for-machine-ID-path.patch
  * debian/README.source: Update git-buildpackage commands for the renames in 0.6.24
  * Make apparmor run before networking
  * Drop patches for wheezy → jessie upgrade
  * systemd.{pre,post}inst: Clean up obsolete upgrade fixes
  * systemd-fsckd autopkgtest: Stop assuming that /etc/default/grub.d/90-autopkgtest.cfg exists
  * systemd-fsckd autopkgtest: Add missing plymouth test dependency
  * Drop core-mount-ensure-that-we-parse-proc-self-mountinfo.patch
  * releasing package systemd version 219-9
  * Fix assertion crash with empty Exec*= paths
  * Drop obsolete "avoid services during boot/shutdown" patches
  * debian/tests/boot-smoke: Allow 10 seconds for systemd jobs to settle down
  * Fix "tentative" state of devices which are not in /dev (mostly in containers)
  * debian/extra/udev-helpers/net.agent: Eliminate cat and most grep calls
  * Drop Set-default-polling-interval-on-removable-devices-as.patch
  * Re-enable-journal-forwarding-to-syslog.patch: Update patch description
  * journal: Gracefully handle failure to bind to audit socket
  * Put back *.agent scripts and use net.agent in Ubuntu
  * When booting with "quiet", run the initramfs' udevd with "notice" log level
  * Add sigpwr-container-shutdown.service: Power off when receiving SIGPWR in a container
  * write_net_rules: Escape '{' and '}' characters as well
  * write_net_rules: Escape '{' and '}' characters as well
  * releasing package systemd version 219-10
  * releasing package systemd version 215-18
  * Add-fsckd-po-files.patch: Drop untranslated entries
  * Imported Upstream version 220
  * Merge tag 'upstream/220' into experimental
  * New upstream release 220
  * Cherry-pick patch to fix udevd --daemon assertion regression
  * systemd.install: systemd.pc moved back into /usr/share/pkgconfig/
  * libsystemd0.symbols: Add new symbols from this release
  * Drop debian/extra/60-keyboard.hwdb for now
  * debian/rules: Remove shipped audit_type-to-name.h and regenerate it during build.
  * debian/rules: Remove shipped keyboard-keys-from-name.gperf and regenerate it during build
  * autopkgtest: Ship/use mock fsck from debian/tests, as it's missing in the 220 tarball
  * Add libnss-mymachines binary package
  * Add libnss-myhostname binary package
  * Cherry-pick patch to fix udevd worker hang
  * Drop buildsys-Don-t-default-to-gold-as-the-linker.patch
  * bootchart autopkgtest: Skip test if /proc/schedstat does not exist
  * systemd-fsckd: On Debian plymouth-start stays running, adjust was_running() for that
  * systemd-fsckd autopkgtest: Fix test_systemd_fsck_with_plymouth_failure
  * Replace almost all of Fix-paths-in-man-pages.patch with upstreamed patches
  * Remove our update-rc.d patches, replace them with upstream patches
  * gbp pq patch noise
  * Fix path_is_mount_point for files
  * debian/control: Drop obsolete XS-Testsuite:
  * Use Ubuntu's default NTP server for timesyncd when building on Ubuntu
  * Add missing ${misc:Depends} to new libnss-* packages
  * releasing package systemd version 220-1
  * Merge branch 'master' into experimental
  * releasing package systemd version 220-2
  * Fix ProtectSystem=yes to actually protect /usr, not /home
  * sd-device: fix device_get_properties_strv()
  * Ignore test failures on mipsel
  * Add ifupdown-hotplug autopkgtest
  * udev: Bring back persistant storage symlinks for bcache
  * udev-Bring-back-persistant-storage-symlinks-for-bcac.patch was upstreamed
  * sd-device: Fix invalid property strv pointers
  * ifupdown-hotplug autopkgtest: Fix systemctl status call
  * releasing package systemd version 220-3
  * debian/extra/initramfs-tools/scripts/init-top/udev: Drop $ROOTDELAY wait
  * Make rc-local.service wait for network-online.target (if it gets started)
  * Fix parsing of escape characters in Exec*= lines
  * Drop path_is_mount_point-handle-false-positive-on-some-fs.patch
  * Add debian/extra/rules/80-debian-compat.rules
  * releasing package systemd version 220-4
  * debian/README.source: Upstream repository moved to github
  * debian/control: Replace obsolete Python2 version header with X-Python3-Version
  * dracut: Fix path to systemd-fsck
  * gbp pq patch noise after previous cherry-pick
  * Ignore test failures during build if /etc/machine-id is missing
  * debian/udev.README.Debian updates
  * debian/udev.README.Debian: Document net.ifnames, and how to write udev rules for custom network names
  * Add debian/extra/01-mac-for-usb.link: Use MAC based names for network interfaces which are (directly or indirectly) on USB
  * Fix another escape parsing regression in Exec*= lines
  * Disable EFI support for udeb build
  * Refine detection of touch screen devices
  * releasing package systemd version 220-5
  * Enable seccomp support
  * boot-and-services autopkgtest: Add SeccompTest
  * boot-and-services autopkgtest: Check that we don't get an unwanted tmp.mount
  * debian/tests/boot-and-services: PEP-8 fixes
  * Drop "RequiresMountsFor=/tmp" from basic.target again
  * boot-and-services autopkgtest: Fix SeccompTest.test_failing
  * Bump libcap-dev build dep to the version that provides libcap2-udeb
  * Stop installing tmp.mount by default
  * releasing package systemd version 220-6
  * gbp pq patch noise
  * fix bug ref in changelog for "Ignore comments in /etc/hostname"
  * Switch to net.ifnames persistant network interfaces
  * Add-support-for-rcS.d-init-scripts-to-the-sysv-gener.patch: Drop unnecessary hunk
  * path-util-Fix-path_is_mount_point-for-files.patch is upstream, adjust patch series
  * fsckd-daemon-for-inter-fsckd-communication.patch: Add fsckd.c to POTFILES.in
  * Automate building packages for upstream trunk
  * ifupdown-hotplug autopkgtest: Fix config name in interfaces.d/
  * ifupdown-hotplug: Fix cleanup
  * net.agent: When running under systemd, run everything in the foreground
  * Revert "Automate building packages for upstream trunk"
  * ifupdown-hotplug autopkgtest: Put back alternative *.cfg suffix
  * Check during build that systemd and systemd-journald don't link against anything in /usr
  * Also check during build that other binaries do not link against /usr
  * Don't run link check with nocheck build option to avoid breaking cross-builds
  * Link check: test "systemd" binary as well, show binaries
  * Drop Skip-99-systemd.rules-when-not-running-systemd-as-in.patch
  * 80-networking.rules: Only call agents for add|remove
  * Restore udev watches on block device changes
  * releasing package systemd version 220-7
  * ifupdown-hotplug autopkgtest: Fix interfaces.d config file name
  * Imported Upstream version 221
  * Merge tag 'upstream/221'
  * New upstream release 221
  * Drop obsolete gtk-doc-tools build dependency, gtkdocize autoreconfig, and ./configure options
  * libudev-dev.install: Drop gtk-doc files
  * libsystemd0.symbols: Add new symbols for this release
  * debian/rules: Fix paths in manpages
  * debian/patches/series: Add back dropped comments
  * Drop Accept-mountall-specific-fstab-options.patch
  * Revert overly aggressive USB autosuspend udev rules change
  * Have rc-local.service output also go to the console
  * debian/rules: Install udev.NEWS into libudev1
  * releasing package systemd version 221-1
  * Disable test-netlink during package build
  * udev.postinst: Don't fail if "input" group already exists as a non-system group
  * udev.postinst: Fail verbosely if "input" group already exists as a non-system group
  * systemd.postinst: Drop the --quiet from the addgroup calls as well
  * udev: Drop doc dir symlinking
  * libudev-dev: Transition doc symlink -> dir too
  * debian/rules: Entirely ignore $LD_PRELOAD instead of just libfakeroot in the link check
  * boot-and-services, display-managers autopkgtests: Install and configure dummy X.org driver
  * systemd-fsckd autopkgtest: Stop using/asserting on lightdm
  * debian/watch: Adjust to new upstream release model of only providing the github tag tarballs
  * Imported Upstream version 222
  * Merge tag 'upstream/222'
  * New upstream release 222
  * Add Revert-VT-reuse-patches.patch
  * debian/libsystemd0.symbols: Add new symbols from this release
  * Drop dsl-modem.agent
  * Fix udeb an initramfs for net.ifnames
  * Also put old 70-persistent-net.rules into initramfs
  * emergency.service: Wait for plymouth to shut down
  * Add "networkd" autopkgtest
  * systemd/udev postinst: Avoid "The group [...] already exists as a system group. Exiting." warnings
  * Revert "systemd/udev postinst: Avoid "The group [...] already exists as a system group. Exiting." warnings"
  * Revert-VT-reuse-patches.patch: Fixed properly in trunk, move to "upstreamed patches"
  * Enable GNU EFI support and add gnu-efi build dep
  * networkd autopkgtest: More robust/forceful killing of dnsmasq
  * changelog: Add LP bug ref
  * ifup@.service: Drop "oneshot" to run ifup in the background during boot
  * systemd.postinst: Avoid confusing error message about /run/systemd/was-enabled not existing on reconfiguring
  * debian/extra/initramfs-tools/hooks/udev: Drop some redundant code
  * Restrict gnu-efi to available architectures
  * Imported Upstream version 223
  * Merge tag 'upstream/223'
  * New upstream release 223
  * Fix networkd-wait-online -i to properly wait for the given interfaces only
  * changelog: 223 fixes #788193 too
  * networkd patches landed upstream, adjust patch series
  * ifup@.service: Fix ifquery call after dropping Type=oneshot
  * Drop debian/extra/base-installer.d/05udev
  * debian/extra/start-udev: Run d-i's udevd with "notice" log level
  * Fix size explosion of networkd
  * releasing package systemd version 223-1
  * Don't enable gnu-efi on ARM
  * debian/extra/initramfs-tools/hooks/udev: Don't fail if /etc/systemd/network/ does not exist
  * releasing package systemd version 223-2
  * boot-and-services autopkgtest: Ignore thermald
  * Imported Upstream version 224
  * Merge tag 'upstream/224'
  * New upstream release 224
  * releasing package systemd version 224-1
  * Skip systemd-fsckd autopkgtest if /run/initramfs/fsck-root exists
  * Fix broken ACL in tmpfiles.d/systemd.conf
  * add Debian bug ref for previous commit
  * Add debian/tests/unit-config: Test "systemctl link"
  * Add a hack to unbreak "systemctl link"
  * debian/extra/rules-ubuntu/40-hyperv-hotadd.rules: Also apply to Xen, and rename to 40-vm-hotadd.rules
  * 40-vm-hotadd.rules: Fix typo
  * Fix networkd crash
  * debian/rules: Remove all files/empty dirs in systemd which are already shipped by systemd-* or udev
  * Fix "noudeb" handling in DEB_BUILD_OPTIONS
  * Bump "mount" dependency to >= 2.26, to ensure "swapon -o" availability
  * Install /lib/systemd/network/* into udev instead of systemd
  * Split out "systemd-container" package with machined and nspawn and enable importd
  * Move transitional libgcrypt11-dev build dep to libgcrypt20-dev
  * debian/rules: Limit check for libraries in /usr to systemd and udev packages
  * Don't build systemd-{container,journal-remote} for stage1 profile
  * Build-depend on dpkg-dev (>= 1.17.14) for build profiles support
  * debian/rules: Add missing separator
  * Drop "display-managers" autopkgtest
  * boot-and-services autopkgtest: Add systemd-container test dependency
  * Don't enable audit support when building with "stage1" profile
  * releasing package systemd version 224-2
  * Add better fix for "systemctl link/enable" breakage with full paths
  * selinux-fix-regression-of-systemctl-subcommands-when.patch landed upstream, adjust patch series
  * debian/rules: Add missing $(dh_options) in overridden debhelper targets
  * Imported Upstream version 225
  * Merge tag 'upstream/225'
  * New upstream release 225
  * Enable libseccomp support for mips64, mips64el, and x32
  * debian/tests/networkd: Add hotplug tests
  * Make networkd call if-up.d/ scripts when it brings up interfaces
  * Drop udev-finish
  * Drop debian/udev.udev-fallback-graphics.upstart
  * debian/control: Remove some boilerplate from the long descriptions
  * debian/README.Debian: Update switching between SysV and systemd
  * debian/README.Debian: Update persistant journal documentation
  * debian/README.Debian: Add documentation about networkd integration
  * debian/README.Debian: Document if*.d/ hook integration for networkd
  * Fix "persistant" typo .. again
  * debian/README.Debian: Clarify "Going back to SysV init" section
  * debian/udev.maintscript: Fix typo
  * net.agent: Only call networkd-if-up.d@.service when networkd is actually enabled or running
  * debian/changelog: Clarify why if-pre-up.d/ and if-down.d/ are not being called
  * Rename 01-mac-for-usb.link to 90-mac-for-usb.link so that it becomes easier to override
  * Imported Upstream version 226
  * Merge tag 'upstream/226'
  * New upstream release 226
  * debian/libsystemd0.symbols: Add new symbols from this release
  * Simplify debian-fixup.service
  * Rework networkd ifupdown integration
  * Fix typo in debian/changelog
  * systemd-networkd-dispatcher: Set real uid to root
  * debian/tests/networkd: Check that /etc/resolv.conf gets the DHCP's nameserver
  * systemd-networkd-dispatcher: Also pass on the DNS server list to if-up.d/ as $IF_DNS_NAMESERVERS
  * systemd-networkd-dispatcher: Add some missing  ifupdown variables, clean environment
  * Drop debian/systemd-journal-remote.postrm
  * releasing package systemd version 226-1
  * debian/udev.init: Mount /dev file system with nosuid and noexec
  * debian/udev.init: Drop noexec from /dev again
  * Fix changing virtio network interface names on upgrades
  * udev.postinst: Check that 50-virtio-kernel-names.link does not already exist
  * releasing package systemd version 226-2
  * README.Debian: Fix "other" typo
  * Fix name in previous changelog
  * Add "Provides: system-log-daemon" to systemd
  * Revert "Add "Provides: system-log-daemon" to systemd"
  * debian/tests/logind: Be more verbose on failures
  * Revert networkd calling if-{up,post-down}.d/ scripts
  * Add systemd-networkd-resolvconf-update.{path,service} units
  * Don't restart logind on upgrades any more
  * releasing package systemd version 226-4
  * Copy all custom udev rules into the initramfs
  * ifup@.service: Drop PartOf=network.target
  * Imported Upstream version 227
  * Merge tag 'upstream/227'
  * New upstream release 227
  * Bump util-linux/libmount-dev dependencies to >= 2.27
  * debian/libsystemd0.symbols: Add new symbols for this release
  * releasing package systemd version 227-1
  * Revert "sd_pid_notify_with_fds: fix computing msg_controllen"
  * debian/tests/boot-smoke: Check for failed unmounts
  * Revert "core: add a "Requires=" dependency between units and the slices they are located in"
  * releasing package systemd version 227-2
  * debian/tests/logind: Add tests for scheduled shutdown with and without wall message
  * Import upstream fix for not unmounting system mounts (#801361) and drop our revert patch
  * Adjust Revert-sd_pid_notify_with_fds-fix-computing-msg_cont.patch for current upstream master
  * debian/tests/boot-smoke: Apply check for failed unmounts only to user systemd processes, i. e. not to pid 1
  * Install D-Bus policies into /usr/share/dbus-1/system.d/ instead of /etc/dbus-1
  * debian/systemd.maintscript: Drop unnecessary package names
  * Revert "Install D-Bus policies into /usr/share/dbus-1/system.d/ instead of /etc/dbus-1"
  * debian/tests/logind: Ignore non-zero exit code of shutdown -c
  * Drop Fix-usr-remount-failure-for-split-usr.patch
  * Drop debian-fixup.service in favor of using a tmpfiles.d clause
  * Drop Order-remote-fs.target-after-local-fs.target.patch
  * Stop-syslog.socket-when-entering-emergency-mode.patch: Update description
  * Stop-syslog.socket-when-entering-emergency-mode.patch: Further clarification
  * Replace reversion of sd_pid_notify_with_fds() msg_controllen fix with proper upstream fix
  * Make systemd-coredump Conflicts: apport
  * Drop check for missing /etc/machine-id on "make check" failure
  * Drop Disable-tests-which-fail-on-buildds.patch
  * Generalize s-coredump conflict
  * releasing package systemd version 227-3
  * debian/rules: Configure with --as-needed to avoid unnecessary binary dependencies
  * systemd-networkd-resolvconf-update.service: Increase StartLimitBurst
  * debian/tests/boot-and-services: Add test case for systemd-coredump
  * Add systemd-coredump postinst/prerm to enable/disable this without a reboot
  * systemd-coredump.preinst: Only reset if core_pattern actually was systemd-coredump
  * debian/tests/boot-and-services: Fix crash journal wait loop
  * debian/tests/networkd: Check for systemd-networkd-wait-online in /usr as well
  * debian/tests/logind: Skip suspend test if the kernel does not support suspend
  * debian/tests/logind: Split tests into functions
  * debian/tests/boot-and-services: Ignore failures of console-setup.service
  * debian/tests/control: Restrict boot-smoke test to isolation-machine
  * debian/tests/networkd: Shorten default online timeout to 5s, add new IPv4 test cases
  * debian/tests/networkd: Fix UnicodeDecodeError under 'C' locale
  * debian/tests/networkd: Show networkctl and journal output on failure
  * debian/tests/networkd: Fix journalctl invocation
  * debian/tests/networkd: Fix bytes vs. string TypeError in the IPv6 polling
  * debian/tests/networkd: Show contents of test .network file on failure
  * debian/tests/networkd: Skip if networkd is already running
  * debian/tests/networkd: Re-raise default timeout to 10s
  * Imported Upstream version 228
  * debian/tests/networkd: Adjust DHCP=ipv4 expectations
  * Merge tag 'upstream/228' into master
  * New upstream release 228
  * Bump util-linux dependencies to >= 2.27.1
  * Cherry-pick some networkd fixes from trunk to fix regressions from 228
  * releasing package systemd version 228-1
  * Remove wrong endianess conversion in test-siphash24
  * test-remove-wrong-endianess-conversion-in-test-siphash24.patch landed upstream, adjust series
  * Bump libseccomp-dev build dependency
  * Adjust libseccomp-dev build dependency for backported versions
  * releasing package systemd version 228-2
  * debian/rules: Remove temporary debug output from test failures again, check kernel version
  * debian/rules: Rewrite kernel check using "linux-version"
  * debian/tests/networkd: Factor out dnsmasq specific test "router" setup
  * debian/tests/networkd: Add networkd router-side tests
  * debian/tests/networkd: On failure, only show journal for current test
  * systemd-networkd-resolvconf-update.service: Wait for getting a name server, not just for getting online
  * debian/tests/boot-and-services: Fix test_bash_crash()
  * debian/tests/networkd: Fix resolv.conf check for many nameservers
  * Fix FTBFS on x32
  * debian/tests/networkd: For IPv6 tests, also wait for IPv4 address to arrive
  * boot-and-services and networkd tests: Simplify timeout loops
  * debian/tests/networkd: Fix noisy failure if systemd-run networkd-test-router.service fails
  * debian/tests/networkd: Fix failure if D-Bus is not installed in the testbed
  * debian/tests/boot-and-services: Adjust checked log message for container shutdown
  * Add "storage" autopkgtest
  * Add acl build dependency (for <!nocheck>)
  * debian/extra/initramfs-tools/scripts/init-bottom/udev: Use "rm -rf" instead of "nuke"
  * debian/changelog: Fix typoed "endianness"
  * debian/udev.prerm: Add missing "deconfigure" action
  * Ignore test failures during "make check" if /etc/machine-id is missing
  * Fix CD/DVD symlinks
  * Eliminate "hotplug.functions" udev helper and put the logging functions directly into net.agent
  * Adjust manpages to keep /usr/lib/systemd/{user*,boot,ntp-units.d,modules*} paths
  * debian/udev.README.Debian: Fix typo and slight wording improvement
  * Drop net.agent, 80-networking.rules, and ifup@.service
  * releasing package systemd version 228-3
  * debian/udev.README.Debian: Add alternative way of disabling ifnames, and point out that you must rebuild the initrd
  * debian/udev.README.Debian: Fix previous instructions
  * Put back /lib/udev/hotplug.functions
  * debian/udev.README.Debian: Point out that any change to interface naming rules requires an initrd update
  * releasing package systemd version 228-4
  * Drop systemd-vconsole-setup.service
  * Use /etc/halt.local instead of /usr/sbin/halt.local for halt-local.service
  * Drop halt-local.service
  * debian/extra/initramfs-tools/scripts/init-bottom/udev: Prefer "nuke" again
  * systemd-timesyncd.service: Also don't run if /usr/sbin/VBoxService exists
  * Drop Michael Stapelberg from Uploaders:
  * Replace "sysv-rc" dependency with Conflicts: openrc, file-rc
  * debian/tests/timedated: Adjust for testing upstream builds
  * debian/tests/localed-locale: Adjust for testing upstream builds
  * debian/tests/localed-x11-keymap: Adjust for testing upstream builds
  * debian/tests/boot-and-services: Check for reaching graphical.target instead of default.target
  * debian/tests/boot-and-services: Adjust for testing upstream builds
  * Drop Fix-up-tmpfiles.d-permissions-properly.patch
  * tmpfiles-drop-run-lock-lockdev.patch got accepted upstream
  * Shorten persistent identifier for CCW network interfaces (on s390x only)
  * Support building packages from upstream master
  * Determine systemd-sysv's upstart Conflicts: on build time
  * Move upstart conflicts back to static declarations
  * Fix systemd Breaks:/Replaces
  * releasing package systemd version 228-5
  * Fix permissions of /run/lock
  * releasing package systemd version 228-6
  * debian/tests/systemd-fsckd: Tame overly strict test for failed plymouth unit
  * Do not warn about Wants depencencies on masked units
  * Drop timedated-don-t-rely-on-usr-being-mounted-in-the-ini.patch
  * Trim Use-different-default-paths-for-various-binaries.patch
  * Remove obsolete udev maintainer script checks
  * debian/tests/storage: Remove duplicated code
  * Drop debian/tests/ifupdown-hotplug
  * debian/tests/control: Reorder tests
  * Speed up autopkgtests
  * Add debian/extra/checkout-upstream
  * checkout-upstream: shallow cloning
  * Revert "checkout-upstream: shallow cloning"
  * Enable seccomp support on powerpc, ppc64el, and s390x
  * Imported Upstream version 229
  * Merge tag 'upstream/229'
  * New upstream release 229
  * debian/systemd.install: Ship the new systemd-resolve
  * libsystemd0.symbols: Add new symbols from this release
  * systemd-coredump.postinst: Create systemd-coredump system user
  * Fix cut&paste error in previous commit
  * releasing package systemd version 229-1
  * time-util: map ALARM clockids to non-ALARM clockids in now()
  * systemd.postinst: Do a daemon-reload after copying tmp.mount
  * Revert "systemd.postinst: Do a daemon-reload after copying tmp.mount"
  * debian/systemd.postinst: Add missing newline to /etc/adjtime migration.
  * debian/systemd.postinst: Only try to enable tmp.mount if we actually copied it to /etc
  * debian/tests/boot-and-services: Increase timeouts of test_bash_crash from 5 to 50 seconds
  * debian/extra/checkout-upstream: Try again after one minute if git checkout fails
  * debian/tests/boot-and-services: Explicitly sync the journal and reduce timeout again
  * debian/tests/systemd-fsckd: Use grub.d/50-cloudimg-settings.cfg as a template for generating our custom one
  * debian/tests/boot-and-services: Skip journal test for test_bash_crash when running against upstream
  * debian/tests/networkd: Skip test_coldplug_dhcp_ip6 when running against upstream
  * debian/tests/bootchart: Skip test if bootchart is not available
  * debian/tests/boot-and-services: Show verbose journal output on failure in nspawn test
  * debian/tests/boot-and-services: Sync journal in nspawn test
  * debian/tests/bootchart: Don't run for upstream tests
  * Move systemd-coredump socket and service into systemd-coredump binary package
  * debian/tests/control: Fix wrong empty line
  * Revert changing the default core dump ulimit and core_pattern
  * Fix addresses for type "sit" tunnels
  * networkd: Go back to letting the kernel handle IPv6 router advertisements
  * releasing package systemd version 229-2
  * debian/tests/timedated: Add tests for "timedatectl set-local-rtc"
  * Be more tolerant in parsing /etc/adjtime
  * debian/systemd.postinst: Don't fail package installation if systemctl daemon-reload trigger fails
  * debian/tests/networkd: Skip test_hogplug_dhcp_ip6 when running against upstream as well
  * Add debian/changelog entry for commit f43b5c
  * debian/tests/boot-and-services: Fix waiting for units
  * debian/tests/networkd: Skip DHCPv6 tests for downstream packages too
  * Fix assertion in add_random()
  * debian/tests/boot-and-services: Avoid race in NspawnTests.test_service()
  * Add "adduser" dependency to systemd-coredump
  * Bump Standards-Version to 3.9.7
  * systemd-coredump.{prerm,postinst: Only call systemctl when running systemd
  * systemd-coredump.{prerm,postinst}: Fix order
  * Fix timespec parsing by correctly initializing microseconds
  * Previous commit fixes Debian #818698 too
  * networkd: Add fallback if FIONREAD is not supported
  * Cherry-pick various fixes from upstream master
  * releasing package systemd version 229-3
  * Fix assertion crash when processing a (broken) device without a sysfs path
  * Fix crash when shutdown is issued from a non-tty
  * networkd: Stay running while any non-loopback interface is up
  * Fix reading uint32 D-Bus properties on big-endian
  * Fix crash if an udev device has many tags or devlinks
  * systemctl, loginctl, etc.: Don't start polkit agent when running as root
  * keymap: Add Add HP ZBook and HP ProBook 440 G3
  * systemd.resource-control.5: Fix links to cgroup documentation on kernel.org
  * Install test-udev into libudev-dev
  * Add "udev" autopkgtest for running the upstream test/udev-test.pl
  * Fix bug in sd-device-fix-crash-if-a-device-has-many-tags-or-devlinks.patch
  * releasing package systemd version 229-4
  * debian/tests/unit-config: Call "daemon-reload" to clean up generated units in between tests
  * debian/tests/unit-config: Check that enable/disable commands are idempotent
  * debian/tests/unit-config: Detect if system units are in /usr/
  * debian/tests/unit-config: Use systemd-sysv-install instead of update-rc.d directly
  * debian/tests/unit-config: More checks for linked units
  * Rename debian/extra/rules/73-idrac.rules to 73-special-net-names.rules
  * debian/extra/rules/73-special-net-names.rules: Add DEVPATH number based naming schema for ibmveth devices
  * Don't set SYSTEMD_READY=0 on DM_UDEV_DISABLE_OTHER_RULES_FLAG=1 devmapper devices with "change" events
  * Fix bogus "No [Install] section" warning when enabling a unit with full path
  * debian/tests/cmdline-upstart-boot: In test_rsyslog(), check for messages from dbus instead of NetworkManager
  * 73-special-net-names.rules: Refine ibmveth naming
  * Install-correctly-report-symlink-creations.patch landed upstream, move in debian/patches/series
  * 73-special-net-names.rules: Further refine ibmveth naming
  * Bump Standards-Version to 3.9.8
  * debian/tests/boot-smoke: Add some extra debugging if there are pending jobs after 10s
  * debian/tests/boot-smoke: Configure dummy X.org driver
  * Move Debian specific patches into debian/patches/debian
  * Don't ship an empty /etc/X11/xinit/xinitrc.d/ directory
  * udev: Mark nbd as inactive until connected
  * On shutdown, unmount /tmp before disabling swap
  * debian/systemd-coredump.postinst: Do daemon-reload before starting systemd-coredump
  * Set MAC based name for USB network interfaces only for universally administered (i. e. stable) MACs
  * releasing package systemd version 229-5
  * systemd-container: Prefer renamed "btrfs-progs" package name over "btrfs-tools"
  * systemd-container: Recommend libnss-mymachines
  * Drop systemd-dbg
  * Drop Add-targets-for-compatibility-with-Debian-insserv-sy.patch
  * Reorder Debian patches
  * Unify our two patches for Debian specific configuration files
  * Drop udev-re-enable-mount-propagation-for-udevd.patch
  * Ship fbdev-blacklist.conf in /lib/modprobe.d/ instead of /etc/modprobe.d/
  * Replace util-Add-hidden-suffixes-for-ucf.patch with patch that got committed upstream
  * Replace Stop-syslog.socket-when-entering-emergency-mode.patch with patch that got committed upstream
  * debian/udev.README.Debian: Adjust documentation of MAC based naming for USB network cards to the udev rule
  * debian/extra/init-functions.d/40-systemd: Invoke status command with --no-pager
  * Make FIDO U2F dongles accessible to the user session
  * libnss-resolve: Don't duplicate "dns" query
  * libnss-resolve: Enable systemd-resolved.service on package installation
  * Revert "libnss-resolve: Don't duplicate "dns" query"
  * Add a DHCP exit hook for pushing received NTP servers into timesyncd
  * Fix migration check from the old persistent-net generator to not apply to chroots
  * Revert "enable TasksMax= for all services by default, and set it to 512"
  * Split out udev rule to name USB network interfaces by MAC address into 73-usb-net-by-mac.rules
  * 73-usb-net-by-mac.rules: Disable when net.ifnames=0 is specified on the kernel command line
  * 73-special-net-names.rule: Name the IBM integrated management module virtual USB network card "ibmimm"
  * releasing package systemd version 229-6
  * Drop cmdline-upstart-boot autopkgtest
  * udev: Drop hotplug.functions
  * fix syntax error in previous commit
  * debian/extra/rules/70-debian-uaccess.rules: Add some more FIDO u2f devices from different vendors
  * Imported Upstream version 230
  * Merge tag 'upstream/230'
  * New upstream release 230
  * Remove "bootchart" autopkgtest
  * releasing package systemd version 230-1
  * Don't add a Breaks: against usb-modeswitch when building on Ubuntu
  * boot-and-services autopkgtest: Add missing xserver-xorg and lightdm-greeter test dependencies
  * Re-disable logind's KillUserProcesses option by default
  * releasing package systemd version 230-2
  * debian/tests/boot-and-services: Adjust test_tmp_mount() for fixed systemctl exit code for "unit not found"
  * debian/tests/boot-and-services, test_no_failed(): Show journal of failed units
  * debian/extra/init-functions.d/40-systemd: Adjust to changed systemctl show behaviour in 231
  * resolved: Disable DNSSEC by default again, until the various crashes get fixed
  * Fix networkd integration with resolvconf for domain-limited DNS servers
  * resolved: Fix comments in resolve.conf for search domain overflows.
  * Fix test_domain_specific_dns for many DNS servers
  * On Ubuntu, provide an "ondemand.service" that replaces /etc/init.d/ondemand
  * debian/systemd-container.install: Drop *.busname installation
  * debian/extra/init-functions.d/40-systemd: Do not call systemctl daemon-reload if the script is called as user
  * Install test-udeb from .libs
  * Fix transaction restarting in resolved
  * Add "upstream" autopkgtest
  * debian/tests/upstream: Show journals on failure
  * Build systemd-sysusers binary
  * debian/tests/systemd-fsckd: Adjust was_running() to also work for version 230
  * upstream autopkgtest: Limit QEMU test dependencies to x86
  * releasing package systemd version 230-3
  * tmp.mount: Add nosuid and nodev mount options
  * Make debian/tests/upstream non-fatal on ppc64el
  * debian/rules: Don't run the "anything links against /usr" check for upstream tests
  * debian/tests/upstream: Clean up old journals before running a test
  * debian/tests/upstream: Blacklist tests failing without QEMU
  * debian/tests/upstream: Do not run the QEMU tests on i386
  * resolved: Fix SERVFAIL handling and introduce a new "Cache=" option to disable local caching
  * debian/tests/upstream: Fix typo that causes some tests to not run with QEMU
  * resolved: Support IPv6 zone indices in resolv.conf
  * resolved: Update resolv.conf when calling SetLinkDNS()
  * debian/tests/storage: Sync and settle udev after luksFormat
  * debian/tests/networkd: Stop skipping the two DHCP6 tests
  * resolved: respond to local resolver requests on 127.0.0.53:53
  * resolved: Don't add route-only domains to /etc/resolv.conf
  * debian/tests/networkd: Sync with upstream
  * systemd-resolve: Add --flush-caches and --status commands
  * Add resolved → resolvconf integration
  * debian/tests/control: Update copied qemu-systemd-x86 test dependency
  * debian/tests/boot-smoke: Run in containers as well
  * debian/tests/networkd: Sync with upstream
  * releasing package systemd version 230-4
  * debian/tests/networkd: Sync with upstream PR#3628
  * debian/extra/rules/73-usb-net-by-mac.rules: Disable when /etc/udev/rules.d/80-net-setup-link.rules is a symlink to /dev/null
  * Directly run test/networkd-test.py in autopkgtest
  * Fix debian/patches/series
  * debian/rules: Ignore libcap-ng.so in the "does anything link against /usr" check
  * releasing package systemd version 230-5
  * debian/tests/boot-smoke: Stop running in containers again
  * systemd.postinst: Remove systemd-networkd-resolvconf-update.path removal leftover
  * Drop support for rcS.d SysV init scripts.
  * networkd: Handle router advertisements in userspace again
  * debian/gbp.conf: Enable dch options "full" and "multimaint-merge"
  * Add NEWS entry for dropping rcS support
  * debian/systemd.NEWS: Reformat old entry
  * kernel-install: recognize /boot/efi mountpoint
  * systemd-sysv: Add Conflicts: systemd-shim
  * bootctl: Always use upper case for "/EFI/BOOT" and "/EFI/BOOT/BOOT*.EFI"
  * debian/rules: Drop BREAKS_RCS_COMPAT for upstream builds
  * Imported Upstream version 231
  * Merge tag 'upstream/231'
  * New upstream release 231
  * Update changelog
  * Add graphical-session.target user unit
  * Add graphical-session-pre.target user unit
  * Add debian/extra/units-ubuntu/user@.service.d/timeout.conf
  * systemd.NEWS: Bump version to 231-1
  * debian/rules: Drop obsolete cleanup of *.busname
  * Dynamically add upstream version to debian/shlibs.local
  * Update changelog
  * Set Debian/Ubuntu downstream support URL in journal catalogs
  * releasing package systemd version 231-1
  * debian/rules: Fix UPSTREAM_VERSION for upstream master builds
  * Revert "debian/rules: Ignore libcap-ng.so in the "does anything link against /usr" check"
  * debian/systemd.NEWS: Fix urgency in 231-1
  * Limit "link against /usr" check to some critical binaries only and add generators
  * Replace debian/extra/user-units/graphical-session-pre.target with upstream patch
  * debian/rules: Put back cleanup of *.busname
  * debian/tests/localed-x11-keymap: Robustify cleanup
  * debian/tests/localed-x11-keymap: Check that localed works without /etc/default/keyboard
  * Revert "units: add a basic SystemCallFilter (#3471)"
  * releasing package systemd version 231-2
  * resolved resolvconf integration: Run resolvconf without privilege restrictions
  * Revert unit usage of MemoryDenyWriteExecute=yes as well
  * releasing package systemd version 231-3
  * Revert "pid1: reconnect to the console before being re-executed"
  * releasing package systemd version 231-4
  * Replace Revert-pid1-reconnect-to-the-console-before-being-re-exec.patch with upstream patch
  * 73-usb-net-by-mac.rules: Test for disabling 80-net-setup-link.rules more efficiently
  * Ship kernel-install
  * Add debian/extra/kernel-install.d/60-initrd.install
  * bootctl: Automatically detect ESP partition
  * systemd.NEWS: Point out that alternatively rcS scripts can be moved to rc[2-5]
  * releasing package systemd version 231-5
  * Add alternative iptables-dev build dependencies
  * Detect if seccomp is enabled but seccomp filtering is disabled
  * resolved: recognize DNS names with more than one trailing dot as invalid
  * debian/tests/smoke: Store udev db dump artifact on failure
  * Re-fix upstream version for upstream master builds
  * networkd: limit the number of routes to the kernel limit
  * systemctl: consider service running only when it is in active or reloading state
  * networkd: remove route if carrier is lost
  * Add Ref()/Unref() bus calls for units
  * releasing package systemd version 231-6
  * 73-usb-net-by-mac.rules: Split kernel command line import line
  * debian/tests/boot-smoke: Only run 5 iterations
  * systemd.postinst: Drop setcap call for systemd-detect-virt
  * debian/tests/systemd-fsckd: Robustify check for "unit was running"
  * debian/extra/set-cpufreq: Use powersave with intel_pstate
  * Ubuntu: Move ondemand.service from static to runtime enablement
  * Revert "networkd: remove route if carrier is lost"
  * debian/tests/storage: Avoid stderr output of stopping systemd-cryptsetup@.service
  * libnss-*.prerm: Remove possible [key=value] options from NSS modules as well
  * releasing package systemd version 231-7
  * Replace remaining systemctl --failed with --state=failed
  * debian/shlibs.local.in: More precisely define version of internal shared lib
  * debian/tests/upstream: Drop blacklisting
  * debian/tests/storage: Avoid rmmod scsi_debug
  * upstream build system: Install libudev, libsystemd, and nss modules to ${rootlibdir}
  * Ubuntu: Disable resolved's DNSSEC for the final 16.10 release
  * Fix abort/DoS on zero-length notify message triggers
  * resolved: don't query domain-limited DNS servers for other domains
  * releasing package systemd version 231-8
  * pid1: process zero-length notification messages again
  * pid1: Robustify manager_dispatch_notify_fd()
  * test/networkd-test.py: Add missing writeConfig() helper function
  * releasing package systemd version 231-9
  * resolved fix landed upstream, adjust debian/patches/series
  * systemctl: Add --wait option to wait until started units terminate again
  * nss-resolve: return NOTFOUND instead of UNAVAIL on resolution errors
  * libnss-resolve.postinst: Skip dns fallback if resolve is present
  * Ship /etc/pam.d/systemd-user as a Debian specific file instead of patching the upstream one
  * unit: sent change signal before removing the unit if necessary
  * networkd: Fix assertion crash on adding VTI with IPv6 addresses
  * debian/tests/upstream: Stop specifying initrd
  * debian/tests/upstream: Run tests via Makefile
  * debian/tests/upstream: Add gcc/libc-dev/make test dependencies
  * releasing package systemd version 231-10
  * debian/tests/logind: Copy the current on-disk unit instead of the on-memory one
  * Build sd-boot on arm64
  * Imported Upstream version 232
  * Merge tag 'upstream/232'
  * New upstream release 232
  * Update changelog
  * Link test-seccomp against seccomp libs to fix FTBFS
  * debian/rules: Remove nss-systemd (until we package it)
  * Install new systemd-mount
  * releasing package systemd version 232-1
  * debian/tests/logind: Split out "pid in logind session" test
  * debian/tests/logind: Adjust "in logind session" test for unified cgroup hierarchy
  * debian/tests/boot-and-services: Check common properties of CLI programs
  * nspawn: Fix exit code for --help and --version
  * core: Revert using the unified hierarchy for the systemd cgroup
  * releasing package systemd version 232-3
  * debian/tests/unit-config: Query pkg-config for system unit dir
  * debian/tests/upstream: Fix clobbering of merged-/usr symlinks
  * debian/tests/systemd-fsckd: Create /etc/default/grub.d if necessary
  * Replace unified cgroup reversion patch with upstream cherry-pick
  * debian/rules: Drop check for linking to libs in /usr
  * Move kernel-install initrd script to a later prefix
  * Disable 99-default.link instead of the udev rule for disabling persistent interface names
  * debian/tests/boot-and-services: Always run seccomp test
  * Bump libseccomp build dependency
  * Replace "Drop RestrictAddressFamilies=" patch with sed call
  * Rebuild against libseccomp with fixed shlibs
  * Add missing liblz4-tool build dependency
  * systemd: Ship /var/lib
  * releasing package systemd version 232-5
  * Add policykit-1 test dependency for networkd-test.py
  * debian/rules: Don't destroy unit symlinks with sed -i
  * Fall back to "mount -o move" in udev initramfs script
  * debian/README.Debian: Document how to generate a shutdown log
  * releasing package systemd version 232-6
  * Drop systemd-networkd's "After=dbus.service" ordering
  * Run hwdb/parse_hwdb.py during package build
  * Package libnss-systemd
  * Make libnss-* depend on the same systemd package version
  * releasing package systemd version 232-7
  * Drop systemd dependency from libnss-myhostname again
  * Install 71-seat.rules into the initrd
  * networkd: Fix crash when setting routes
  * resolved: Drop removal of resolvconf entry on stop
  * Keep RestrictAddressFamilies on amd64
  * Explicitly set D-Bus policy dir
  * Re-enable RestrictAddressFamilies for upstream PR #4991
  * Fix RestrictAddressFamilies=
  * Use local machine-id for running tests during package build
  * Add autopkgtest for test-seccomp
  * udev: Fix by-id symlinks for devices whose IDs contain whitespace
  * Add lintian overrides for binary-or-shlib-defines-rpath on shipped test programs
  * releasing package systemd version 232-16
  * Add libcap2-bin build dependency for tests
  * Add iproute2 build dependency for tests
  * autopkgtest: Run all upstream unit tests as root
  * systemd-resolved.service.d/resolvconf.conf: Allow writing to /run/resolvconf
  * releasing package systemd version 232-17
  * udev autopkgtest: Adjust to script-based test /sys creation
  * systemd-resolved.service.d/resolvconf.conf: Don't fail if resolvconf is not installed
  * Fix two more seccomp issues
  * Permit seeing process list of units whose unit files are missing
  * Fix systemctl --user enable/disable without $XDG_RUNTIME_DIR being set
  * releasing package systemd version 232-18
  * debian/README.source: Update patch and changelog handling to current reality
  * root-unittests autopkgtest: Blacklist test-journal-importer
  * fsckd: Fix format specifiers
  * resolved: Fix NSEC proofs for missing TLDs
  * boot-and-services autopkgtest: Skip CgroupsTest on unified hierarchy
  * boot-smoke autopkgtest: Run in containers, too
  * logind autopkgtest: Adjust to work in containers
  * releasing package systemd version 232-19
  * New upstream version 233
  * Merge tag 'upstream/233'
  * New upstream release 233
  * Install new systemd-umount and /usr/lib/environment.d/
  * Update changelog
  * Use "make install-tests" for shipped unit tests
  * debian/patches: Drop leftover backported patches
  * debian/tests/udev: Adjust path for "make install-tests" layout
  * Switch back to gold linker on mips*
  * debian/rules: Drop obsolete SETCAP path
  * releasing package systemd version 233-1
  * test: skip instead of fail if crypto kmods are not available
  * releasing package systemd version 233-2
  * root-unittests autopkgtest: Skip test-udev
  * udev autopkgtest: Drop obsolete sys.tar.xz fallback
  * root-unittest: Drop obsolete FIXME
  * Update upstreamed khash patch
  * Add libpolkit-gobject-1-dev build dep for polkit version detection
  * Move systemd.link(5) to udev package
  * Update changelog
  * debian/rules: Clarify comment about disabling DNSSEC support on stable Ubuntu releases
  * resolved: Disable DNSSEC by default on stretch and zesty
  * debian/extra/checkout-upstream: Rebase PR against master
  * Adjust var-lib-machines.mount target
  * Fix debhelper build dependency for backports
  * udev README.Debian: Update transitional rules and mention *.link files
  * udev README.Debian: Fix name of example *.link file
  * debian/tests/upstream: Fix for ninja migration
  * debian/tests/upstream: Fix Makefile.guess failure
  * debian/tests/upstream: Add systemd-coredump and quota test dependencies
  * Manually install tmpfiles.d/systemd-remote.conf if exists
  * Merge logind-kill-off autopkgtest into logind test
  * Add missing python3-minimal dependency to systemd-tests
  * Drop long-obsolete systemd-bus-proxy system user
  * Drop static systemd-journal-gateway system user
  * Add Recommends: libnss-systemd to systemd-sysv
  * resolved: Fix loop on packets with pseudo dns types
  * bpf-firewall: Properly handle kernels without BPF cgroup but with TRIE maps
  * Fix MemoryDenyWriteExecution= bypass with pkey_mprotect()
  * Use DynamicUser= for systemd-journal-upload.service
  * releasing package systemd version 235-3
  * debian/tests/upstream: Only show ≥ warning in journal dumps
  * debian/copyright: Also fix references to CC0-1.0
  * debian/tests/boot-smoke: More robust journal checking
  * Simplify PO template creation
  * Make systemd-sysv-install robust against existing $ROOT
  * Enable systemd-sysusers unit and provide correct Debian static u/gids
  * udev README.Debian: Include initrd rebuild and some clarifications in migration
  * Fix daemon reload failures
  * Install resolvectl and resolvconf for upstream CI
  * debian/tests/boot-and-services: Ignore cpi.service failure
  * test: fix networkd-test.py rate limiting and dynamic user
  * autopkgtest: Install libnss-systemd
  * autopkgtest: Add missing python3 test dependency for udev test
  * timedated: Fix wrong PropertyChanged values and refcounting
  * test: Add accountsservice dependency to boot-and-services test
  * Revert "test: Add accountsservice dependency to boot-and-services test"
  * debian/tests/boot-and-services: Use gdm instead of lightdm
  * debian/tests/boot-and-services: Accept gdm with Wayland session
  * Enable QEMU on more architectures in "upstream" autopkgtest
  * autopkgtest: Avoid test bed reset for boot-smoke
  * Fix wrong "nobody" group from sysusers.d
  * tests: Disable some flaky upstream tests
  * tests: Disable flaky TEST-17-UDEV-WANTS upstream test
  * process-util: Fix memory leak
  * releasing package systemd version 240-5
  * udevadm: Fix segfault with subsystem-match containing '/'
  * sd-bus: if we receive an invalid dbus message, ignore and proceeed
  * sd-bus: enforce a size limit on D-Bus object paths
  * releasing package systemd version 240-6
  * systemd.postinst: Don't fail on an existing dynamic systemd-timesync user
  * Revert "systemd.postinst: Don't fail on an existing dynamic systemd-timesync user"
  * debian/libsystemd0.symbols: Add new symbol from release 241
  * Fix various bugs and races in networkd tests
  * debian/tests/boot-smoke: Create "render" system group
  * debian/tests/unit-config: Tolerate path variations
  * debian/tests/boot-smoke: Create journal and udevdb artifacts on all failures
  * autopkgtests: Replace obsolete $ADT_* variables
  * networkd-test: ignore failures of test_route_only_dns* in containers
  * Bump Standards-Version to 4.3.0
  * debian/tests/boot-smoke: Save complete journal artifact on failure
  * debian/tests/boot-smoke: Only check current boot for connection timeouts
  * timedated: Fix emitted value when ntp client is enabled/disabled
  * debian/tests/timedated: Check enabling/disabling NTP
  * debian/tests/timedated: Fix race condition
  * udev: Relax udev's dpkg dependency again
  * Revert "debian/tests/unit-config: Tolerate path variations"
  * Revert "debian/tests/boot-smoke: Create "render" system group"
  * Enable udev autopkgtest in containers
  * Enable boot-and-service autopkgtest in containers
  * boot-and-service autopkgtest: Ensure graphical.target gets booted
  * debian/extra/checkout-upstream: Support submodules
  * debian/extra/checkout-upstream: Support submodules
  * debian/tests/localed-locale: Fix for environments without en_US.UTF-8
  * Revert "core: set RLIMIT_CORE to unlimited by default"

  [ Nis Martensen ]
  * Skip filesystem check if already done by the initramfs

  [ Didier Roche ]
  * debian/ifup@.service: Only run if /run/network exists
  * Handle display-manager transitions
  * Mask sysvinit-only dms if not default.
  * Cherry-pick shared-add-readlink_value.patch as using that function in the generator
  * Cherry-pick Shared-add-readlink_value.patch
  * Cherry-pick util-allow-strappenda-to-take-any-number-of-args.patch
  * Fix some sysv init only units not starting if /e/X/d-d-m doesn't match anything
  * Fix some sysv init only units not starting if /e/X/d-d-m doesn't match anything
  * Add display managers autopkg tests
  * Reset display-manager symlink to match /e/X/d-d-m
  * Add display managers autopkg tests
  * Reset display-manager symlink to match /e/X/d-d-m
  * default-display-manager-generator: Avoid unecessary /dev/null symlink and warning
  * default-display-manager-generator: Avoid unecessary /dev/null symlink and warning
  * Add autopkgtests for systemd-fsckd
  * systemd-sysv.postinst: Adjust syntax for better portability
  * Add transient mount state
  * Avoid /tmp being mounted as tmpfs without the user's will
  * Avoid /tmp being mounted as tmpfs without the user's will
  * Fix mount point detection on overlayfs and similar file systems
  * Add fsckd patch prepared to get out of upstream trunk
  * Update translations for fsckd
  * display-managers autopkgtest: Avoid lightdm failure
  * fsckd daemon for inter-fsckd communication

  [ Tollef Fog Heen ]
  * Bring tmpfiles.d/tmp.conf in line with Debian defaults

  [ Daan De Meyer ]
  * Fix libtss2-mu dependency
  * Add Suggests for libtss2-tcti-device
  * Make sure awk only matches PROJECT|PACKAGE_VERSION
  * Use DEB_BUILD_MAINT_OPTIONS instead of meson options
  * Replace TEST_UPSTREAM with "pkg.systemd.upstream" profile
  * Add libarchive-dev dependency when building for upstream
  * Don't put debian revision in version tag when building for upstream
  * Allow users to configure DH_MISSING
  * Build in developer mode when building for upstream

  [ Dan Streetman ]
  * d/t/boot-and-services: fix test_failing()
  * d/t/boot-and-services: check for any kernel message, not just first kernel message
  * d/t/upstream: add TEST-30, TEST-34 to blacklist
  * d/t/timedated: replace systemctl is-active with systemctl show
  * d/t/control: root-unittests can break networking, add breaks-testbed
  * d/t/control: mark udev test skippable
  * d/t/upstream: always cleanup after (and before) each test
  * d/t/control: upstream test requires dmeventd
  * d/e/checkout-upstream: don't remove .git
  * d/e/checkout-upstream: move change to debian/ files above other changes
  * d/e/checkout-upstream: add UPSTREAM_KEEP_CHANGELOG param
  * d/e/checkout-upstream: create git commits for each change
  * d/e/checkout-upstream: switch from 'quilt' to 'native' format
  * d/e/checkout-upstream: set user.name, user.email if unset
  * d/t/storage: change plaintext_name to include testname
  * d/t/storage: increase wait for plaintext_dev from 5 to 30 seconds
  * d/t/storage: wait for service to start, only stop if active
  * d/t/storage: don't search for 'scsi_debug' in ask_password
  * d/t/storage: manage scsi_debug using add_hosts
  * d/t/storage: use short timeout waiting for scsi_debug block dev to appear
  * d/t/storage: convert password agent into normal Thread
  * d/t/storage: fail if socket info not in ask_password contents
  * d/t/boot-smoke: pass failure reason to fail() to print instead of separate echo
  * d/t/boot-smoke: in fail() set +e so errors are ignored while gathering data
  * d/t/boot-smoke: gather still running jobs in fail()
  * d/t/boot-smoke: wait for is-system-running
  * d/t/boot-smoke: call fail if pidof polkitd fails
  * d/t/boot-smoke: remove check for running jobs
  * d/rules: add CONFFGLAGS_UPSTREAM to dh_auto_configure -- params
  * d/t/control: upstream test requires qemu-system-ppc on ppc64el
  * d/t/control: install seabios for upstream test
  * d/extra/rules/73-special-net-names.rules: use $$ instead of $ in PROGRAM= value
  * d/t/upstream: change BLACKLIST env var into per-test file that upstream can control
  * test: add initial blacklist files
  * blacklist: fix blacklist patch file header info, add details and upstream bugs
  * blacklist: remove short timeout from TEST-10, and unblacklist it
  * d/t/logind: use grep -s when checking /sys/power/state
  * d/rules: in dh_auto_test, include meson param --print-errorlogs
  * Follow symlinks when finding link files to copy into initramfs
  * remove Ubuntu-specific ondemand.service
  * cleanup ondemand.service symlink
  * Cherry-pick fix from upstream master to adjust UseGateway= default
  * 40-vm-hotadd.rules: check offline before onlining memory/cpus
  * d/t/upstream: capture new merged 'system.journal' from tests
  * d/t/upstream: use --directory or --file param for journalctl
  * d/t/storage: check for ext2 or ext4 fs when using crypttab 'tmp' option
  * Add libzstd-dev and zstd as build and test deps
  * d/control: update meson minimum version
  * d/t/upstream: convert 'blacklist' term to 'deny-list'
  * Slight adjustments to previous patch for deny/black-list naming
  * d/t/upstream: use NO_BUILD=1
  * d/t/control: install all binary packages for upstream test
  * d/t/boot-smoke: update test to avoid false negatives
  * d/t: replace 'root-unittests' shell script with simple call to upstream script
  * d/control: set minimum version for dh-package-notes
  * d/t/upstream: only save journal for failing integration tests

  [ Yu Watanabe ]
  * upstream-ci: logind test: use drop-in config
  * upstream-ci: logind test: also show logs of systemd-suspend.service
  * upstream-ci: logind test: make sure the fake lid switch processed by udevd
  * upstream-ci: logind test: fix drop-in config
  * autopkgtest: create directory to make accounts-daemon.service not fail
  * d/t/upstream: skip qemu-only tests on ppc64el with upstream profile

  [ Daniel P. Berrangé ]
  * debian/rules: don't override default telinit-path

  [ Frantisek Sumsal ]
  * upstream-ci: fix test_no_failed() check
  * d/t/storage: ignore credential mounts when checking /proc/mounts

  [ Helmut Grohne ]
  * Add basic support for the noinsttest build profile
  * Annotate dbus build dependency with <!noinsttest>
  * Fix FTCBFS: Annotate python3-jinja2 dependency with :native
  * Mark systemd-userdbd and systemd-homed as !stage1
  * Conditionalize installation of cryptsetup plugins in stage1 using dh-exec
  * Explicitly B-D on libcrypt-dev
  * duplicate udev trigger interest for /usr-merge
  * Also delete lib/systemd/system/local-fs.target.wants
  * Restore diverted symlinks in systemd-sysv.postinst that may have been lost due to /usr-merge

  [ Nick Rosbrook ]
  * Add handling for /etc/default/locale to firstboot
  * debian/tests: remove systemd-fsckd autopkgtest
  * debian: ship libsystemd.a in libsystemd-dev
  * autopkgtest: add build test for static libsystemd
  * debian/rules: build with -ffat-lto-objects
  * debian/tests/control: add Depends: mdadm lvm2 for TEST-64-UDEV-STORAGE
  * debian/tests/upstream: drop blacklist support

  [ Oxan van Leeuwen ]
  * Move kernel-install initrd script to earlier prefix

  [ Matthias Geiger ]
  * Bump version number for udev.postinst and udev.maintscript
  * Fix udev.postinst to preserve the enablement of the init script

  [ Gioele Barabucci ]
  * d/control: Use dh_installnss
  * d/libnss-myhostname.nss: Install NSS service `myhostname` via dh_installnss
  * d/libnss-mymaschines.nss: Install NSS service `mymaschines` via dh_installnss
  * d/libnss-resolve.nss: Install NSS service `resolve` via dh_installnss
  * d/libnss-systemd.nss: Install NSS service `systemd` via dh_installnss
  * debian/udev.debian-udev.sysusers: Add Debian-specific sysusers for udev
  * d/udev.postinst: Do not use addgroup to add udev-related groups
  * d/control: Remove adduser

  [ Daniel Andersson ]
  * Add systemd-sysupdate

  [ Zbigniew Jędrzejewski-Szmek ]
  * Let "upstream" test use upstream test runner
  * autopkgtest: drop 'udev' test

  [ Jochen Sprickerhof ]
  * Let dh_installsysusers fix the /var/log/journal permissions
  * Move restarting units after #DEBHELPER#

  [ Jan Kiszka ]
  * Install native python packages
  * Enable systemd-boot for riscv64

  [ наб ]
  * debian/extra/kernel-install.d/85-initrd.install: Don't install initrd when an explicit path was passed
  * debian/extra/kernel-install.d/85-initrd.install: match initrd installation messages and uninstallation to 90-loaderentry.install
  * debian/extra/kernel/postinst.d/systemd-boot: prefix with zz-
  * debian/extra/kernel-install.d/85-initrd.install: install default initrd with versioned basename
  * debian/extra/kernel-install.d/85-initrd.install: explicitly ignore unknown verbs
  * debian/extra/kernel/postrm.d/systemd-boot: prefix with zz-
  * systemd-sysv.postinst: which -> command -v

  [ Johannes Schauer Marin Rodrigues ]
  * use systemd-sysusers instead of adduser
  * debian/systemd.postinst: add --root argument to systemctl and systemd-* calls for DPKG_ROOT support

  [ Andrea Pappacoda ]
  * sd-boot: add initramfs hook

  [ Dimitri John Ledkov ]
  * Use idiomatic variables from dpkg include.
  * Fix resolved failing to follow CNAMES for DNS stub replies
  * Fix emitting change signals with a sessions property in logind
  * ubuntu: disable dnssec on any ubuntu releases
  * Fix out-of-bounds write in systemd-resolved.
  * Cherrypick upstream networkd-test.py assertion/check fixes.
  * Cherrypick arm* seccomp fixes.
  * Disable KillUserProcesses, yet again, with meson this time.
  * initramfs-tools: trigger udevadm add actions with subsystems first.
  * Allow for distribution specific configuration flags in debian/rules.
  * systemd-sysv-install: Fix name initialisation
  * Run all upstream tests, and then report all that failed.
  * debian/tests/storage: improve cleanups.
  * debian/tests/upstream: Mark TEST-13-NSPAWN-SMOKE as flakey.
  * debian/tests/control: add socat to upstream tests for pull #11591
  * Blacklist TEST-10-ISSUE-2467 #11706
  * debian/tests/storage: fix for LUKS2 and avoid interactive password prompts.
  * Build manpages in .deb variant.
  * Build manpages in .deb variant.
  * Add libfdisk-dev build-depends for upstream CI for repart tool.
  * Add build-depends libssl-dev, libp11-kit-dev, libpwquality-dev for upstream CI of homed.
  * When doing upstream ci, install any missing files into the systemd package.
  * Install missing files, prior to deduplication.
  * Enable EFI/bootctl on armhf.
  * udev-udeb: ship modprobe.d snippet to force scsi_mod.scan=sync in d-i

  [ Lukas Märdian ]
  * d/rules: Enable build of systemd-oomd
  * d/control: Ship oomd in a systemd-oomd package
  * Start systemd-oomd.service after package installation

  [ Balint Reczey ]
  * New upstream version 243~rc1
  * d/e/checkout-upstream: UPSTREAM_REPO can override default systemd repo
  * debian/extra/checkout-upstream: rebase only PRs on upstream master
  * d/e/checkout-upstream: Add KEEP_DEBIAN_PATCHES option to keep patches
  * d/e/checkout-upstream: Keep all autopkgtests when KEEP_DEBIAN_TESTS is set
  * debian/extra/checkout-upstream: Use dots when deriving version from upstream
  * Use package version as systemd's reported version
  * debian/watch: Switch to watch tags at github.com/systemd/systemd-stable
  * Remove empty /var/log/journal/ on purge
  * New upstream version 245
  * Update upstream source from tag 'upstream/245'
  * Refresh patches
  * Update changelog
  * Update symbols
  * Ship systemd-timesyncd in a separate package
  * debian/tests/boot-and-services: Handle missing fstab
  * dhclient-exit-hooks.d/timesyncd: Act only when systemd-timesyncd is available
  * debian/systemd.postinst: Restart systemd-networkd.socket on incompatible change
  * debian/tests/timedated: Wait for the killed child only
  * debian/udev.NEWS: Mention udev rules changes in 247
  * New upstream version 248
  * Update upstream source from tag 'upstream/248'
  * New upstream version 248
  * Refresh patches
  * debian/rules: Enable new systemd-sysext tool
  * debian/rules: Build support for flushing of the nscd caches
  * debian/rules: Build translations for debs but not for udebs
  * debian/rules: Build without TPM2 support
  * Ship systemd-cryptenroll in systemd package
  * Update symbols file for libsystemd0
  * debian/tests/control: Upstream test depends on attr
  * debian/udev.postinst: Create the sgx system group
  * debian/rules: Don't ship README files in (/usr)/lib/*.d
  * Revert "pager: stop disabling urlification under a pager"
  * debian/rules: Don't ship README files in (/usr)/lib/*.d

  [ Salvatore Bonaccorso ]
  * unit-name: generate a clear error code when converting an overly long fs path to a unit name
  * basic/unit-name: do not use strdupa() on a path (CVE-2021-33910)
  * basic/unit-name: adjust comments
  * Prepare changelog for release

  [ Matthias Klumpp ]
  * Configure localed to run locale-gen to generate missing locale

  [ Youfu Zhang ]
  * fsckd: avoid useless CR displayed on console

  [ Topi Miettinen ]
  * Delete empty lines at end of file

  [ Daniel Kahn Gillmor ]
  * resolved: fix connection failures with TLS 1.3 and GnuTLS

  [ Michael Prokop ]
  * debian/tests/logind: ensure correct version of logind is running
  * README.Debian: document KillUserProcesses behavior in Debian

  [ Mert Dirik ]
  * 40-systemd: Honour __init_d_script_name
  * 40-systemd: Improve heuristics for init-d-script
  * 40-systemd: Don't fail if SysV init script uses set -u and $1 is unset

  [ Felipe Sateler ]
  * nss-my*.postinst: configure at the end of the hosts line, not before files.
  * Move conffile from systemd to systemd-container package
  * Add changelog entry
  * Add libnss-resolve package
  * Add systemd-coredump package
  * Enable elfutils
  * libnss-my{machines,hostname}.postrm: do not remove entries from nsswitch.conf if there are packages from other architectures remaining.
  * Set the paths of loadkeys and setfont via configure arguments, not a patch
  * Drop configure option --disable-compat-libs. It no longer exists.
  * Add policykit-1 to Suggests. It is used to allow unprivileged users to execute certain commands. (Closes: #827756)
  * Convert common code into a private shared library
  * Do not install libsystemd-shared.so symlink
  * {machine,system}ctl: always pass &changes and &n_changes
  * Add versioned breaks for packages shipping rcS init scripts
  * Add basic version of git-cherry-pick
  * Replace Revert-units-add-a-basic-SystemCallFilter-3471.patch with upstream patch
  * sysv-generator: better error reporting
  * git-cherry-pick: always recreate the patch-queue branch
  * Explicitly disable installing the upstream-provided PAM configuration.
  * Register interest in the status of dracut and initramfs-tools in reportbug template
  * Make systemd-delta less confused on merged-usr systems.
  * Fix wrong paths for /bin/mount when compiled on merged-usr system
  * Enable machines.target by default
  * resolved: add the new KSK to the built-in resolved trust anchor
  * Backport some zsh completion fixes from upstream
  * git-cherry-pick: Actually use cherry-pick for picking
  * Backport upstream PR #5531
  * Specify nobody user and group
  * test-condition: Don't assume that all non-root users are normal users
  * Add fdisk to the dependencies of the upstream autopkgtest
  * Disable nss-systemd on udeb builds
  * Correctly disable resolved on udeb builds
  * Help fix collissions in libsystemd-shared symbols by versioning them
  * Merge NMUs from Cyril Brulebois
  * Backport upstream (partial) fix for combined DynamicUser= + User=
  * Backport upstream patches to fully make DynamicUser=yes + static, pre-existing User= work
  * Allow systemd-timesyncd to start when libnss-systemd is not installed
  * Backport upstream patch fixing a wrong assert() call
  * Don't include libmount.h in a header file
  * Link systemctl binary statically against libshared
  * Fix container check in udev init script
  * Add myself to uploaders
  * Release to unstable
  * Backport upstream patch reverting interface renaming changes.
  * Reenable pristine-tar in gbp.conf
  * d/watch: add version mangle to transform -rc to ~rc
  * Fix comment about why we disable hwclock.service
  * udev: Backport upstream preventing mass killings when not running under systemd
  * New upstream version 241
  * Update upstream source from tag 'upstream/241'
  * Refresh patches
  * Backport upstream fix for Driver= matches in .network files
  * Release

  [ Adam Borowski ]
  * Make libpam-systemd Provide: logind, default-logind

  [ Benjamin Drung ]
  * Fix shellcheck issues in initramfs-tools scripts

  [ Manuel A. Fernandez Montecelo ]
  * Run "meson test" instead of "ninja test"
  * Increase timeout for test in riscv64

  [ Evgeny Vereshchagin ]
  * debian/tests/boot-and-services: search systemd-coredump's output by SYSLOG_IDENTIFIER
  * Add missing "Recommends: btrfs-tools" to systemd-container
  * Add systemd-coredump postinst/prerm to start/stop systemd-coredump.socket without a reboot
  * debian/tests/upstream: Print all journal files
  * debian/tests/upstream: Disable check for ninja executable
  * upstream autopkgtest: Copy journal subdirectories

  [ Laurent Bigonville ]
  * Build with IDN support
  * Fix /sys/fs/cgroup mount when using SELinux

  [ Alf Gaida ]
  * core: do not free stack-allocated strings

  [ Gunnar Hjalmarsson ]
  * Fix creation of translation template
  * Fix PO template creation

  [ Nicolas Braud-Santoni ]
  * debian/extra/rules: Use updated U2F ruleset
  * debian/copyright: Refer to the CC0 license file

  [ Cyril Brulebois ]
  * Import Debian changes 234-2.1
  * Import Debian changes 234-2.2
  * Import Debian changes 234-2.3

  [ Sjoerd Simons ]
  * Don't stop a running user manager from garbage collecting the users.
  * Fix build of the insserv generator
  * add python-lxml for python-systemd
  * attempt parallel build
  * Install busctl and translations
  * explicitly disable microhttpd
  * Merge branch 'master' into experimental
  * debian/control: Make udev break plymouth (<< 0.9.0-7) as older plymouths assume udev implementation details that have changed slightly since v213
  * debian/control: Remove b-d on librwap0-dev and bump kmod
  * debian/rules: Drop outdated --enable-tcpwrap
  * debian/rules: Explicitely turn off rfkill, networkd, timesyncd and resolved for the udeb build
  * Use the debian ntp pool and configure systemd uid/gid maximums
  * Be more precise on what gets purged in the changelog entry
  * Re-add reworked Map-rcS.d-init-script-dependencies-to-their-systemd-.patch
  * Merge branch 'master' into experimental
  * target experimental
  * Add patches to fix FTBS on ppc and run timesyncd without networkd
  * Fix typos
  * debian/rules: add systemd-update-utmp-runlevel.service to {poweroff, rescue, multi-user, graphical, reboot}.target.wants to trigger the runlevel target to be loaded
  * Target experimental
  * d/p/buildsys-Don-t-default-to-gold-as-the-linker.patch
  * spelling police corrections
  * Target experimental
  * d/p/sd-bus-Accept-no-sender-as-the-destination-field.patch
  * Make unix socket binding a tad more robust
  * init-functions Only call daemon-reload when planning to redirect

  [ Ondřej Nový ]
  * Redirect try-restart in init-functions hook

  [ Alexander Kurtz ]
  * debian/extra/kernel-install.d/85-initrd.install: Remove an unnecessary variable.

  [ Antonio Ospite ]
  * Update systemd-user pam config to require pam_limits.so

  [ Iain Lane ]
  * Let graphical-session-pre.target be manually started

  [ Simon McVittie ]
  * localed: tolerate absence of /etc/default/keyboard

  [ Andreas Henriksson ]
  * /lib/lsb/init-functions.d/40-systemd: don't reload masked services

  [ Jon Severinsson ]
  * Add v208-stable patch series.
  * Update Debian patches to apply on top of v208-stable.
  * Move three more manpages from systemd to libsystemd-*-dev as appropriate.
  * Imported Upstream version 214
  * Switch debian-branch to experimental
  * Merge tag 'upstream/214' into experimental
  * Import upstream v214-stable patch series and rebase remaining Debian patches.
  * Install the new combined libsystemd0 library
  * Add new symbols file for libsystemd0.
  * Update symbols file for libgudev-1.0-0.
  * Remove pre-generated rules and unit files in debian/rules clean target.
  * Cherry-pick upstream fix for journal file permissions.
  * Map some rcS.d init script dependencies to their systemd equivalent.
  * Update Depends on initscripts to the version with a systemd-compatible mountnfs ifup hook.
  * Add Breaks on lvm2 versions without native systemd support.
  * Do not fail udev upgrades if the udev service is already runtime-masked when the preinst script is run
  * Add Pre-Depends on systemd to systemd-sysv.
  * Ensure that systemctl is usable right after being unpacked.
  * Add support for TuxOnIce hibernation.
  * Add new systemd service users in systemd postinst.
  * Add new system group "input" used by udev rules in udev postinst.
  * Try-restart networkd, resolved, and timesyncd after an upgrade.
  * Do not force-enable default-on services on every upgrade.
  * Add support for rcS.d init scripts to the sysv-generator.
  * Do not order rcS.d services after local-fs.target if they do not explicitly depend on $local_fs.
  * Refer to more bugs in the changelog.
  * Add systemd depends on new mount.
  * Update /run/initctl symlink target in debian/tmpfiles.d/debian.conf.
  * Remove more stuff from /var/lib/systemd on systemd purge.
  * Rename one incredibly poorly named patch.
  * Add /run/shm -> /dev/shm symlink in debian/tmpfiles.d/debian.conf
  * Note that 7123268 closes #755062

  [ Julian Wollrath ]
  * Copy all .link interface naming definitions to initramfs

  [ Christian Seiler ]
  * Don't run hwclock-save.service in containers.

  [ Adam Conrad ]
  * Trigger a systemctl daemon-reload when init scripts are installed or removed

  [ Marco d'Itri ]
  * Check in preinst for the new system calls needed
  * Check in preinst for accept4(2) too
  * Document in the changelog a fixed bug
  * Do not blacklist viafb
  * Add more CD/DVD aliases to 60-cdrom_id.rules
  * Add the bug number to the last changelog entry
  * Copy the temporary rules from /run/ to /etc/
  * Do not install sysctl.d/50-default.conf
  * Avoid writing duplicate entries in 70-persistent-net.rules
  * Avoid writing duplicate entries in 70-persistent-net.rules

  [ Ansgar Burchardt ]
  * Don't change behavior of SysV init scripts using "set -e" or "set -u"
  * debian/changelog: Fix typo.

  [ Michael Stapelberg ]
  * Imported Upstream version 204
  * Merge branch 'upstream'
  * Delete all upstream files in preparation for the merge.
  * Use orig tarball systemd-204.tar.xz.
  * Add debian/gbp.conf with pristine-tar = True.
  * Update README.source with git-buildpackage instructions.
  * Delete obsolete debian/source/options (not necessary with gbp).
  * Add systemd-dbg package, thanks Daniel Schaal
  * Make libpam-systemd depend on systemd-sysv | systemd-shim
  * Fix bug-script: “systemctl dump” is now “systemd-analyze dump”
  * Clarify that “systemd” does not influence init whereas “systemd-sysv” does

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 15 May 2024 00:31:03 +0200

